View Issue Details

IDProjectCategoryView StatusLast Update
0026423LazarusIDEpublic2014-08-22 08:29
ReporterBart BroersmaAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindowOS VersionWin7
Product Version1.3 (SVN)Product Buildr45707 
Target VersionFixed in Version1.4 
Summary0026423: Recent changes in resourcestring format has lead to incompatible format arguments in several po files.
DescriptionThe recent changes in the format of resources strings (hardcoded ") has lead to many "incompatible format arguments" errors in the translated po files of
- ide/lazarusidestrconsts
- lcl/lclstrconsts
- components/ideintf/objinspstrconsts
- components/codetools/codetoolsstrconsts
- components/anchordocking/anchordockstr

This leads to crashes in the IDE.
Steps To ReproduceRun pochecker utility on the po files.
Additional InformationSee attached txt files to see which translations fail and how many errors they have.
TagsNo tags attached.
Fixed in Revision46044
LazTarget-
Widgetset
Attached Files
  • lazaruside.formaterrors.txt (4,750 bytes)
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.af_ZA.po
    -------------------------------------------------------
    Found 1 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.ar.po
    -------------------------------------------------------
    Found 6 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.ca.po
    -------------------------------------------------------
    Found 133 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.cs.po
    -------------------------------------------------------
    Found 215 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.de.po
    -------------------------------------------------------
    Found 214 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.es.po
    -------------------------------------------------------
    Found 214 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.fi.po
    -------------------------------------------------------
    Found 1 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.fr.po
    -------------------------------------------------------
    Found 205 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.he.po
    -------------------------------------------------------
    Found 324 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.hu.po
    -------------------------------------------------------
    Found 156 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.ja.po
    -------------------------------------------------------
    Found 215 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.lt.po
    -------------------------------------------------------
    Found 216 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.pl.po
    -------------------------------------------------------
    Found 122 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.pt_BR.po
    -------------------------------------------------------
    Found 215 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.sk.po
    -------------------------------------------------------
    Found 180 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.tr.po
    -------------------------------------------------------
    Found 64 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.uk.po
    -------------------------------------------------------
    Found 212 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.zh_CN.po
    -------------------------------------------------------
    Found 177 errors.
    -------------------------------------------------------
    
  • objinspstrconsts.formaterrors.txt (4,292 bytes)
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.ca.po
    -------------------------------------------------------
    Found 3 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.cs.po
    -------------------------------------------------------
    Found 8 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.de.po
    -------------------------------------------------------
    Found 10 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.es.po
    -------------------------------------------------------
    Found 8 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.fr.po
    -------------------------------------------------------
    Found 6 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.he.po
    -------------------------------------------------------
    Found 12 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.hu.po
    -------------------------------------------------------
    Found 8 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.id.po
    -------------------------------------------------------
    Found 3 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.it.po
    -------------------------------------------------------
    Found 8 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.ja.po
    -------------------------------------------------------
    Found 8 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.lt.po
    -------------------------------------------------------
    Found 8 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.pl.po
    -------------------------------------------------------
    Found 2 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.pt_BR.po
    -------------------------------------------------------
    Found 8 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.sk.po
    -------------------------------------------------------
    Found 6 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.uk.po
    -------------------------------------------------------
    Found 8 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.zh_CN.po
    -------------------------------------------------------
    Found 3 errors.
    -------------------------------------------------------
    
  • anchordockstr.formaterrors.txt (1,854 bytes)
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    anchordockstr.cs.po
    -------------------------------------------------------
    Found 7 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    anchordockstr.es.po
    -------------------------------------------------------
    Found 7 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    anchordockstr.it.po
    -------------------------------------------------------
    Found 7 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    anchordockstr.lt.po
    -------------------------------------------------------
    Found 7 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    anchordockstr.pt_BR.po
    -------------------------------------------------------
    Found 7 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    anchordockstr.ru.po
    -------------------------------------------------------
    Found 7 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    anchordockstr.uk.po
    -------------------------------------------------------
    Found 7 errors.
    -------------------------------------------------------
    
  • codetoolsstrconsts.formaterrors.txt (3,783 bytes)
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.ca.po
    -------------------------------------------------------
    Found 5 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.cs.po
    -------------------------------------------------------
    Found 5 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.de.po
    -------------------------------------------------------
    Found 7 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.es.po
    -------------------------------------------------------
    Found 5 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.fr.po
    -------------------------------------------------------
    Found 6 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.he.po
    -------------------------------------------------------
    Found 52 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.id.po
    -------------------------------------------------------
    Found 6 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.it.po
    -------------------------------------------------------
    Found 6 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.lt.po
    -------------------------------------------------------
    Found 6 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.pl.po
    -------------------------------------------------------
    Found 5 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.pt_BR.po
    -------------------------------------------------------
    Found 5 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.sk.po
    -------------------------------------------------------
    Found 5 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.uk.po
    -------------------------------------------------------
    Found 6 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.zh_CN.po
    -------------------------------------------------------
    Found 7 errors.
    -------------------------------------------------------
    
  • lazaruside.de.po.zip (56,890 bytes)
  • lazaruside.de.zip (134,408 bytes)
  • Patch.zip (215,614 bytes)
  • codetoolsstrconsts.po.errors.txt (14,708 bytes)
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.de.po
    -------------------------------------------------------
    
    [Line: 627] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsmethodsignaturesnotfoundinclass
    msgid "Method signature %s not found in class"   (= Original)
    msgstr "Methodensignatur nicht in Klasse gefunden"   (= Translation)
    
    [Line: 793] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsscannedfiles
    msgid "Scanned files: %s"   (= Original)
    msgstr "Gescannte Dateien: 5s"   (= Translation)
    
    Found 2 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.fr.po
    -------------------------------------------------------
    
    [Line: 451] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsidentexpectedbutkeywordfound
    msgid "identifier expected, but keyword %s found"   (= Original)
    msgstr "Identificateur attendu, mais % trouvé"   (= Translation)
    
    Found 1 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.he.po
    -------------------------------------------------------
    
    [Line: 32] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsaddsdirtoincludepath
    msgid "adds %s to IncPath"   (= Original)
    msgstr "מוסיף את  s% ל IncPath"   (= Translation)
    
    [Line: 36] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsaddsdirtosourcepath
    msgid "adds %s to SrcPath"   (= Original)
    msgstr "מוסיף s% ל SrcPath"   (= Translation)
    
    [Line: 48] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsanonymdefinitionsarenotallowed
    msgid "Anonymous %s definitions are not allowed"   (= Original)
    msgstr "הגדרות אנונימיות s% אסורות"   (= Translation)
    
    [Line: 52] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsawithoutb
    msgid "%s without %s"   (= Original)
    msgstr "ללא"   (= Translation)
    
    [Line: 68] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsbracketcloseexpectedbutatomfound
    msgid "bracket close expected, but %s found"   (= Original)
    msgstr "צפויה סגירת סוגריים, אבל s% נמצא"   (= Translation)
    
    [Line: 72] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsbracketnotfound
    msgid "bracket %s not found"   (= Original)
    msgstr "סוגר s% לא נמצא"   (= Translation)
    
    [Line: 76] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsbracketopenexpectedbutatomfound
    msgid "bracket open expected, but %s found"   (= Original)
    msgstr "צפויה פתיחת סוגריים, אבל s% נמצא"   (= Translation)
    
    [Line: 102] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsclassofdefinitionnotresolved
    msgid "\"class of\" definition not resolved: %s"   (= Original)
    msgstr "ההגדרות של \"class of\" לא פוענחו: s%"   (= Translation)
    
    [Line: 106] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsclasssnotfound
    msgid "Class %s not found"   (= Original)
    msgstr "המחלקה s% לא נמצאה"   (= Translation)
    
    [Line: 198] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsdefaultparameterexpectedbutatomfound
    msgid "default parameter expected, but %s found"   (= Original)
    msgstr "צפוי פרמטר ברירת המחדל, אבל נמצא s%"   (= Translation)
    
    [Line: 234] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsdefinemacroname
    msgid "Define Macro %s"   (= Original)
    msgstr "הגדר מאקרו s%"   (= Translation)
    
    [Line: 262] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsdircomponentdoesnotexistsorisdanglingsymlink
    msgid "a directory component in %s does not exist or is a dangling symlink"   (= Original)
    msgstr "רכיב בתיקייה s% אינו קיים או שהוא קישור סימבולי מפוקפק"   (= Translation)
    
    [Line: 266] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsdircomponentisnotdir
    msgid "a directory component in %s is not a directory"   (= Original)
    msgstr "רכיב של תיקייה ב s% אינו תיקייה"   (= Translation)
    
    [Line: 282] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsduplicateidentifier
    msgid "duplicate identifier: %s"   (= Original)
    msgstr "מזהה כפול: s%"   (= Translation)
    
    [Line: 302] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsendofsourceexpectedbutatomfound
    msgid "expected end., but %s found"   (= Original)
    msgstr "צפוי .end אבל s% נמצא"   (= Translation)
    
    [Line: 336] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsexecuteaccessdeniedforfile
    msgid "execute access denied for %s"   (= Original)
    msgstr "הרשאת ריצה הוגדרה עבור s%"   (= Translation)
    
    [Line: 376] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsfilehascircularsymlink
    msgid "%s has a circular symbolic link"   (= Original)
    msgstr "יש ל s% קישור סימבולי מעגלי"   (= Translation)
    
    [Line: 388] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsforwardclassdefinitionnotresolved
    msgid "Forward class definition not resolved: %s"   (= Original)
    msgstr "ההגדרות של המחלקה הבאה לא פוענחו: s%"   (= Translation)
    
    [Line: 408] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsfreepascalsourcesplusdesc
    msgid "Free Pascal Sources, %s"   (= Original)
    msgstr "מקורות של fpc   "   (= Translation)
    
    [Line: 442] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsidentexpectedbutatomfound
    msgid "identifier expected, but %s found"   (= Original)
    msgstr "מצפה למזהה, אבל נמצא s%"   (= Translation)
    
    [Line: 450] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsidentexpectedbutkeywordfound
    msgid "identifier expected, but keyword %s found"   (= Original)
    msgstr "מצפה למזהה, אבלמלת מפתח  s% נמצאה"   (= Translation)
    
    [Line: 458] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsidentifieralreadydefined
    msgid "Identifier %s already defined"   (= Original)
    msgstr "מזהה s% כבר הוגדר"   (= Translation)
    
    [Line: 462] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsidentifiernotfound
    msgid "identifier not found: %s"   (= Original)
    msgstr "מזהה לא נמצא: יחידה s%"   (= Translation)
    
    [Line: 494] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsillegalcircleinusedunits
    msgid "illegal circle using unit: %s"   (= Original)
    msgstr "מעגל לא חוקי בשימוש ביחדה: s%"   (= Translation)
    
    [Line: 498] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsillegalqualifier
    msgid "illegal qualifier %s found"   (= Original)
    msgstr "מסייג לא חוקי s% נמצא"   (= Translation)
    
    [Line: 510] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsincludedirectoriesplusdirs
    msgid "include directories: %s"   (= Original)
    msgstr "תיקיות \"כלול\": s%"   (= Translation)
    
    [Line: 522] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsindexparameterexpectedbutatomfound
    msgid "index parameter expected, but %s found"   (= Original)
    msgstr "צפוי פרמטר אינדקס, אבל נמצא s%"   (= Translation)
    
    [Line: 566] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsinvalidflagvaluefordirective
    msgid "invalid flag value \"%s\" for directive %s"   (= Original)
    msgstr "ערך דגל לא חוקי \"%s\" עבור הוראה s%"   (= Translation)
    
    [Line: 610] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctskeywordexampleexpectedbutatomfound
    msgid "keyword (e.g. %s) expected, but %s found"   (= Original)
    msgstr "צפויה מלת מפתח (למשל s%) אבל נמצא s%"   (= Translation)
    
    [Line: 654] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsnameddirectory
    msgid "%s Directory"   (= Original)
    msgstr "תיקייה s%"   (= Translation)
    
    [Line: 658] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsnamedproject
    msgid "%s Project"   (= Original)
    msgstr "פרוייקט s%"   (= Translation)
    
    [Line: 666] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsnesteddefinitionsarenotallowed
    msgid "Nested %s definitions are not allowed"   (= Original)
    msgstr "הגדרות מקוננות s% אסורות"   (= Translation)
    
    [Line: 682] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsnopascalcodefound
    msgid "no pascal code found (first token is %s)"   (= Original)
    msgstr "לא נמצא קוד של פסקל (הסימן הראשון הוא s%)"   (= Translation)
    
    [Line: 698] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsoldmethodnotfound
    msgid "old method not found: %s"   (= Original)
    msgstr "מתודה ישנה לא נמצאה: s%"   (= Translation)
    
    [Line: 728] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsothercompilerdefines
    msgid "%s Compiler Defines"   (= Original)
    msgstr "הגדרת המהדר s%"   (= Translation)
    
    [Line: 768] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsproperttypeexpectedbutatomfound
    msgid "property type expected, but %s found"   (= Original)
    msgstr "צפוי סוג התכונה, אבל נמצא s%"   (= Translation)
    
    [Line: 776] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctspropertyspecifieralreadydefined
    msgid "property specifier already defined: %s"   (= Original)
    msgstr "מציין התכונה כבר מוגדר: s%"   (= Translation)
    
    [Line: 780] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsqualifierexpectedbutatomfound
    msgid "qualifier expected but %s found"   (= Original)
    msgstr "צפוי מסייג אבל s% נמצא"   (= Translation)
    
    [Line: 800] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctssemicolonafterpropspecmissing
    msgid "; expected after \"%s\" property specifier, but %s found"   (= Original)
    msgstr "צפוי נקודה פסיק אחרי מציין תכונה s%, אבל נמצא s%"   (= Translation)
    
    [Line: 808] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctssetsincpathto
    msgid "sets IncPath to %s"   (= Original)
    msgstr "קובע את  s% כ  IncPath "   (= Translation)
    
    [Line: 812] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctssetssrcpathto
    msgid "sets SrcPath to %s"   (= Original)
    msgstr "קובע את   IncPath ל  s% "   (= Translation)
    
    [Line: 924] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsunitnotfound
    msgid "unit not found: %s"   (= Original)
    msgstr "יחידה לא נמצאה s%"   (= Translation)
    
    [Line: 932] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsunknownfunction
    msgid "Unknown function %s"   (= Original)
    msgstr "פונקציה לא ידועה s%"   (= Translation)
    
    [Line: 940] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsunknownsectionkeyword
    msgid "unknown section keyword %s found"   (= Original)
    msgstr "מלת מפתח s% לא ידוע באזור נמצאה"   (= Translation)
    
    [Line: 944] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsunknownsubdescriptor
    msgid "(unknown subdescriptor %s)"   (= Original)
    msgstr "(תת-מאפיין לא מוכר s%)"   (= Translation)
    
    Found 45 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.id.po
    -------------------------------------------------------
    
    [Line: 107] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsclasssnotfound
    msgid "Class %s not found"   (= Original)
    msgstr "Kelas %s%s%s tidak ditemukan"   (= Translation)
    
    Found 1 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.lt.po
    -------------------------------------------------------
    
    [Line: 495] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsillegalcircleinusedunits
    msgid "illegal circle using unit: %s"   (= Original)
    msgstr "neleistinas naudojamų modulių žiedas"   (= Translation)
    
    Found 1 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.uk.po
    -------------------------------------------------------
    
    [Line: 945] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsunknownsubdescriptor
    msgid "(unknown subdescriptor %s)"   (= Original)
    msgstr "(Невідомий субдескриптор)"   (= Translation)
    
    Found 1 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    codetoolsstrconsts.zh_CN.po
    -------------------------------------------------------
    
    [Line: 573] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsinvalidmode
    msgid "invalid mode \"%s\""   (= Original)
    msgstr "无效模式"   (= Translation)
    
    [Line: 927] Incompatible and/or invalid format() arguments for:
    #:  codetoolsstrconsts.ctsunitnotfound
    msgid "unit not found: %s"   (= Original)
    msgstr "单元未找到"   (= Translation)
    
    Found 2 errors.
    -------------------------------------------------------
    
    
    Total errors found: 53
    Total warnings found: 0
    
  • lazaruside.po.errors.txt (48,114 bytes)
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.ar.po
    -------------------------------------------------------
    
    [Line: 5071] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lischoosecompilerpath
    msgid "Choose compiler filename (%s)"   (= Original)
    msgstr "إختر اسم برنامج التّرجمة"   (= Translation)
    
    Found 1 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.ca.po
    -------------------------------------------------------
    
    [Line: 5781] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscodetoolsdefsdelphimaindirectorydesc
    msgid "The %s main directory,%swhere Borland has installed all %s sources.%sFor example: C:/Programme/Borland/Delphi%s"   (= Original)
    msgstr "El %s directori principal, %s on Borland a instal·lat totes les fonts %s. Per exemple: C:/Programme/Borland/Delphi%s"   (= Translation)
    
    [Line: 5785] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscodetoolsdefsdelphimaindirectoryforproject
    msgid "The %s main directory,%swhere Borland has installed all %s sources,%swhich are used by this %s project.%sFor example: C:/Programme/Borland/Delphi%s"   (= Original)
    msgstr "El directori principal %s, on Borland ha instal·lat totes les fonts %s i que son utilitzades per aquest projecte.%s Per exemple: C:/Programme/Borland/Delphi%s"   (= Translation)
    
    Found 2 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.fi.po
    -------------------------------------------------------
    
    [Line: 13299] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispkgmangthepackageiscompiledautomaticallyanditsoutputdirec
    msgid "The package \"%s\" is compiled automatically and its output directory is \"%s\", which is in the default unit search path of the compiler. The package uses other packages which also use the default unit search of the compiler. This creates an endless loop.%sYou can fix this issue by removing the path from your compiler config (e.g. fpc.cfg)%sor by disabling the auto update of this package or by removing dependencies."   (= Original)
    msgstr "Paketti \"%s\" on käännetty automaattisesti ja sen käännöshakemisto on \"%s\", mikä on kääntäjän oletus. Paketti käyttää muita paketteja, mitkä myös käyttävät kääntäjän oletusta käännösyksiköiden hakuun. Se synnyttää ikuisen luupin.%sOngelma pitää ratkaista%spoistamalla polku kääntäjän konfiguroinnista (esim. fpc.cfg)%stai kieltämällä paketin automaattinen päivitys%stai poistamalla riippuvuudet."   (= Translation)
    
    Found 1 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.he.po
    -------------------------------------------------------
    
    [Line: 1359] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.dlgeddelayinsec
    msgid "(%s sec delay)"   (= Original)
    msgstr "(השהייה של s% שניות)"   (= Translation)
    
    [Line: 2878] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.dlgprojectoptionsfor
    msgid "Options for Project: %s"   (= Original)
    msgstr "אפשרויות לפרוייקט: s%"   (= Translation)
    
    [Line: 3049] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.dlgseachdirectorynotfound
    msgid "Search directory \"%s\" not found."   (= Original)
    msgstr "התקייה המבוקשת  \"s%\" לא נמצאה."   (= Translation)
    
    [Line: 3405] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.dlguserschemeerror
    msgid "Failed to load user-scheme file %s"   (= Original)
    msgstr "נכשל בטעינת קובץ סכמת משתמש s%"   (= Translation)
    
    [Line: 3963] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisaboutlazarusmsg
    msgid "License: GPL/LGPL. See Lazarus and Free Pascal sources for license details.%sLazarus is an IDE to create graphical and console applications with Free Pascal. Free Pascal is Pascal and Object Pascal compiler that runs on Windows, Linux, Mac OS X, FreeBSD and more.%sLazarus is the missing part of the puzzle that will allow you to develop programs for all of the above platforms in a Delphi like environment. The IDE is a RAD tool that includes a form designer.%sAs Lazarus is growing we need more developers."   (= Original)
    msgstr "רשיון: GPL/GPL%s לזארוס הוא IDE ליצירת יישומים (גרפיים או למסוף) בשפת free pascal. free pascal היא מהדר פסקל ופסקל מונחה עצמים ברשיון GPL/LGPL  שרץ על חלונות, ליבוקס,  מאק - גרסה 10, FreeBSD ועוד. לזארוס הוא החלק החסר בפאזל שמאפשר לך לפתח תוכנות לכל מערכות ההפעלה האלו בסביבה דמויית דלפי. ה IDE הוא כלי RAD הכולל מעצב טפסים. ככל שלזארוס גדלה אנו זקוקים ליותר מפתחים.ראה במקורות של לזארוס ו Free Pascal את פרטי הרשיון."   (= Translation)
    
    [Line: 4079] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisaddpackagetoproject
    msgid "Add package %s to project?"   (= Original)
    msgstr "הוסף חבילה s% לפרוייקט?"   (= Translation)
    
    [Line: 4180] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisaf2pthepackageisreadonly
    msgid "The package %s is read only."   (= Original)
    msgstr "החבילה s% היא לקריאה בלבד."   (= Translation)
    
    [Line: 4312] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisanchorenabledhint
    msgid "Enabled = Include %s in Anchors"   (= Original)
    msgstr "אפשר = כלול s% בעוגנים"   (= Translation)
    
    [Line: 4701] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscallingtocreatemakefilefromfailed
    msgid "Calling %s to create Makefile from %s failed."   (= Original)
    msgstr "קריאת s% ליצירת makefile מ s% נכשלה."   (= Translation)
    
    [Line: 4806] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisccocompilernotanexe
    msgid "The compiler \"%s\" is not an executable file.%sDetails: %s"   (= Original)
    msgstr "המהדר s% אינו קובץ ריצה. s% פרטים: s%"   (= Translation)
    
    [Line: 4881] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisccoppunotfounddetailed
    msgid "The compiled FPC unit %s.ppu was not found.%sThis typically means your fpc.cfg has a bug. Or your FPC installation is broken."   (= Original)
    msgstr "היחידה s%.ppu המהודרת של FPC לא נמצאה. בדרך כלל זה אומר שיש באג בקובץ fpc.cfg, או שההתקנה של FPC שבורה."   (= Translation)
    
    [Line: 4885] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisccoppuolderthancompiler
    msgid "There is a .ppu file older than the compiler itself:%s%s"   (= Original)
    msgstr "יש קובץ ppu. ישן יותר מהמהדר עצמו:s%s%"   (= Translation)
    
    [Line: 5159] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscfeclassnotfound
    msgid "%s%sClass \"%s\" not found."   (= Original)
    msgstr "המחלקה  \"%s\" לא נמצאה."   (= Translation)
    
    [Line: 5163] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscfecomponent
    msgid "%s%sComponent: %s:%s"   (= Original)
    msgstr "רכיב: %s:%s"   (= Translation)
    
    [Line: 5167] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscfecomponentclass
    msgid "%s%sComponent Class: %s"   (= Original)
    msgstr "מחלקת רכיבים: %s"   (= Translation)
    
    [Line: 5225] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscferoot
    msgid "%sRoot=%s:%s"   (= Original)
    msgstr "רוט= %s:%s"   (= Translation)
    
    [Line: 5233] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscfestream
    msgid "%sStream=%s"   (= Original)
    msgstr "זרם= %s"   (= Translation)
    
    [Line: 5237] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscfestreamposition
    msgid "%s%sStream position: %s"   (= Original)
    msgstr "מיקום הזרם: %s"   (= Translation)
    
    [Line: 5245] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscfetcustomformeditorcreatenonformformunknowntype
    msgid "TCustomFormEditor.CreateNonFormForm Unknown type %s"   (= Original)
    msgstr "סוג לא ידוע TCustomFormEditor.CreateNonFormForm"   (= Translation)
    
    [Line: 5253] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscfetcustomformeditorregisterdesignermediatoralreadyre
    msgid "TCustomFormEditor.RegisterDesignerMediator already registered: %s"   (= Original)
    msgstr "כבר רשום: TCustomFormEditor.RegisterDesignerMediator"   (= Translation)
    
    [Line: 5265] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscfeunabletocleartheformeditingselection
    msgid "Unable to clear the form editing selection%s%s"   (= Original)
    msgstr "לא יכול לנקות את בחירת עורך הטפסים"   (= Translation)
    
    [Line: 5350] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lischeckthetargetoscpulclwidgettypemaybeyouhavetoreco
    msgid "%s Check the target (OS, CPU, LCL widget type). Maybe you have to recompile the package for this target or set another target for the project."   (= Original)
    msgstr "בדוק את היעד (OS, CPU, LCL widget type). יתכן שתצטרך להדר את החבילה מחדש עבור יעד זה או לקבוע יעד אחר לפרוייקט."   (= Translation)
    
    [Line: 5863] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscodetoolsdefsautogenerated
    msgid "%s, auto generated"   (= Original)
    msgstr "נוצר אוטומטית"   (= Translation)
    
    [Line: 5891] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscodetoolsdefscreatedefinesfordirectory
    msgid "Create Defines for %s Directory"   (= Original)
    msgstr "צור מגדירים לתקיית s%"   (= Translation)
    
    [Line: 5903] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscodetoolsdefscreatedefinesforproject
    msgid "Create Defines for %s Project"   (= Original)
    msgstr "צור מגדירים לפרוייקט s%"   (= Translation)
    
    [Line: 5923] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscodetoolsdefsdelphimaindirectorydesc
    msgid "The %s main directory,%swhere Borland has installed all %s sources.%sFor example: C:/Programme/Borland/Delphi%s"   (= Original)
    msgstr "התיקייה הראשית s% שבה הותקנו כל קבצי הקוד של בורלנד. למשל: C:/Programme/Borland/Delphi%s"   (= Translation)
    
    [Line: 5927] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscodetoolsdefsdelphimaindirectoryforproject
    msgid "The %s main directory,%swhere Borland has installed all %s sources,%swhich are used by this %s project.%sFor example: C:/Programme/Borland/Delphi%s"   (= Original)
    msgstr "התיקייה הראשית s% שבה הותקנו כל קבצי הקוד של בורלנד, אשר בשמוש בפרוייקט זה. למשל: C:/Programme/Borland/Delphi%s"   (= Translation)
    
    [Line: 6056] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscodetoolsdefskylixmaindirectorydesc
    msgid "The %s main directory,%swhere Borland has installed all %s sources.%sFor example: /home/user/kylix%s"   (= Original)
    msgstr "התיקייה הראשית s% שבה הותקנו כל קבצי הקוד של בורלנד. למשל: home/user/kylix%s/"   (= Translation)
    
    [Line: 6060] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscodetoolsdefskylixmaindirectoryforproject
    msgid "The %s main directory,%swhere Borland has installed all %s sources,%swhich are used by this %s project.%sFor example: /home/user/kylix%s"   (= Original)
    msgstr "התיקייה הראשית s% שבה הותקנו כל קבצי הקוד של בורלנד, אשר בשמוש בפרוייקט זה. למשל: home/user/kylix%s/"   (= Translation)
    
    [Line: 6112] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscodetoolsdefsprojectdirectory2
    msgid "%s project directory"   (= Original)
    msgstr "תיקיית הפרוייקט s%"   (= Translation)
    
    [Line: 6158] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscodetoolsdefstheprojectdirectory
    msgid "The %s project directory,%swhich contains the .dpr, dpk file."   (= Original)
    msgstr "תיקיית הפרוייקט s%, שמכילה את קבצי dpr .dpk."   (= Translation)
    
    [Line: 6335] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscompilererrorinvalidcompiler
    msgid "Error: invalid compiler: %s"   (= Original)
    msgstr "שגיאה: מהדר s% לא חוקי"   (= Translation)
    
    [Line: 7027] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscreatingfileindexoffpcsources
    msgid "Creating file index of FPC sources %s ..."   (= Original)
    msgstr "יוצר אינדקס לקובץ קוד של FPC "   (= Translation)
    
    [Line: 7329] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisdebuggererrorooopsthedebuggerenteredtheerrorstate
    msgid "Debugger error%sOoops, the debugger entered the error state%sSave your work now !%sHit Stop, and hope the best, we're pulling the plug."   (= Original)
    msgstr "שגיאת מנפה שגיאות s% אופס, המנפה נכנס למצב של שגיאה. שמור את עבודתך כעת! הקש על עצור, וקווה לטוב, אנחנו שולפיים את התקע."   (= Translation)
    
    [Line: 7349] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisdebugging
    msgid "%s (debugging ...)"   (= Original)
    msgstr "(ניפוי שגיאות)"   (= Translation)
    
    [Line: 7561] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisdeletebreakpointatline
    msgid "Delete breakpoint at%s\"%s\" line %d?"   (= Original)
    msgstr "מחק נקודת עצירה ב s%s% בשורה d%?"   (= Translation)
    
    [Line: 7818] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisdiskdifferrorreadingfile
    msgid "Error reading file: %s"   (= Original)
    msgstr "שגיאה בקריאת קובץ: s%"   (= Translation)
    
    [Line: 8276] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisenvoptdlginvaliddebuggerfilenamemsg
    msgid "The debugger file \"%s\" is not an executable."   (= Original)
    msgstr "הקובץ s% של מנפה השגיאות אינו קובץ ריצה."   (= Translation)
    
    [Line: 8280] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisenvoptdlgtestdirnotfoundmsg
    msgid "Test directory \"%s\" not found."   (= Original)
    msgstr "תיקיית הבדיקה s% לא נמצאה."   (= Translation)
    
    [Line: 8308] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liserrorin
    msgid "Error in %s"   (= Original)
    msgstr "שגיאה ב s%"   (= Translation)
    
    [Line: 8366] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liserrorloadingfrom
    msgid "Error loading %s from%s%s%s%s"   (= Original)
    msgstr "שגיאה בטעינת s% מ s%s%s%s%"   (= Translation)
    
    [Line: 8374] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liserrormovingcomponent2
    msgid "Error moving component %s:%s"   (= Original)
    msgstr "שגיאה בהזזת רכיב s%: %s"   (= Translation)
    
    [Line: 8390] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liserrorreadingpackagelistfromfile
    msgid "Error reading package list from file%s%s%s%s"   (= Original)
    msgstr "שגיאה בקריאת רשימת חבילות מהקובץ s%s%s%s%"   (= Translation)
    
    [Line: 8417] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liserrorsavingto
    msgid "Error saving %s to%s%s%s%s"   (= Original)
    msgstr "שגיאה בשמירת s% ל s%s%s%s%"   (= Translation)
    
    [Line: 8421] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liserrorsettingthenameofacomponentto
    msgid "Error setting the name of a component %s to %s"   (= Original)
    msgstr "שגיאה בהגדרת שם ברכיב s% ל s%"   (= Translation)
    
    [Line: 8429] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liserrorwritingpackagelisttofile
    msgid "Error writing package list to file%s%s%s%s"   (= Original)
    msgstr "שגיאה בכתיבת רשימת חבילות לקובץ s%s%%s%"   (= Translation)
    
    [Line: 8480] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisexamplesidentifiertmyenumenumunitnameidentifierpac
    msgid "Examples:%sIdentifier%sTMyEnum.Enum%sUnitname.Identifier%s#PackageName.UnitName.Identifier"   (= Original)
    msgstr "דוגמה: מזהים TMyEnum.Enum \"שם יחידה.מ/nזהה\"  \"#שם חבילה.שם יחידה.מזהה\""   (= Translation)
    
    [Line: 8832] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisfilter3
    msgid "Filter: %s"   (= Original)
    msgstr "מסנן: s%"   (= Translation)
    
    [Line: 9035] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisfpdocthereisasyntaxerrorinthefpdocelement
    msgid "There is a syntax error in the fpdoc element \"%s\":%s%s"   (= Original)
    msgstr "יש שגיאת תחביר באלמנט של  fpdoc"   (= Translation)
    
    [Line: 9299] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lishintthemakeresourcestringfunctionexpectsastringcon
    msgid "Hint: The \"Make Resourcestring\" function expects a string constant.%sPlease select the expression and try again."   (= Original)
    msgstr "טיפ: הפונקציה \"Make Resourcestring\" מקבלת מחרוזת קבועה. בחר ביטוי ונסה שוב."   (= Translation)
    
    [Line: 9771] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisinvalidexpression
    msgid "Invalid expression:%s%s%s%s"   (= Original)
    msgstr "ביטוי לא חוקי: s%s%s%"   (= Translation)
    
    [Line: 9775] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisinvalidexpressionhintthemakeresourcestringfunction
    msgid "Invalid expression.%sHint: The \"Make Resourcestring\" function expects a string constant in a single file. Please select the expression and try again."   (= Original)
    msgstr "ביטוי לא חוקי: הפונקציה \"Make Resourcestring\" מצפה למחרוזת קבועה בקובץ יחיד. בחר את הביטוי ונסה שוב."   (= Translation)
    
    [Line: 9783] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisinvalidlinecolumninmessage
    msgid "Invalid line, column in message%s%s"   (= Original)
    msgstr "שורה לא חוקית, עמודה בהודעה s%s%"   (= Translation)
    
    [Line: 9853] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisisalreadypartoftheproject
    msgid "%s is already part of the Project."   (= Original)
    msgstr "זה כבר חלק מהפרוייקט. s%"   (= Translation)
    
    [Line: 10662] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lislazbuildisnoninteractiveabortingnow
    msgid "%s%s%s%slazbuild is non interactive, aborting now."   (= Original)
    msgstr "בונה לזארוס אינו אינטראקטיבי, יוצא עכשיו."   (= Translation)
    
    [Line: 10752] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lislazbuildunabletowritefile
    msgid "Unable to write file \"%s\":%s"   (= Original)
    msgstr "לא יכול לכתוב את הקובץ s%:%s"   (= Translation)
    
    [Line: 10800] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisldtheunitisnotownedbeanypackageorprojectpleaseaddthe
    msgid "The unit %s is not owned be any package or project.%sPlease add the unit to a package or project.%sUnable to create the fpdoc file."   (= Original)
    msgstr "היחידה s% אינה בבעלות חבילה או פרוייקט כלשהם. הוסף את היחידה לחבילה או לפרוייקט. לא יכול ליצור את קובץ ה fpdoc."   (= Translation)
    
    [Line: 10904] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisloadingfailed
    msgid "Loading %s failed."   (= Original)
    msgstr "טעינת s% נכשלה"   (= Translation)
    
    [Line: 11094] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lismaxs
    msgid "Max %d"   (= Original)
    msgstr "מקסימום d%"   (= Translation)
    
    [Line: 11098] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lismaybeyouhavetorecompilethepackage
    msgid "%s Maybe you have to recompile the package."   (= Original)
    msgstr "יתכן שתצטרך להדר מחדש את החבילה."   (= Translation)
    
    [Line: 12765] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisnone
    msgid "%snone"   (= Original)
    msgstr "ללא"   (= Translation)
    
    [Line: 12952] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisoipdescriptiondescription
    msgid "%sDescription:  %s"   (= Original)
    msgstr "תאור: s%"   (= Translation)
    
    [Line: 12956] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisoipfilename
    msgid "Filename:  %s"   (= Original)
    msgstr "שם קובץ: s%"   (= Translation)
    
    [Line: 13003] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisoipthispackageisinstalledbutthelpkfilewasnotfound
    msgid "%sThis package is installed, but the lpk file was not found"   (= Original)
    msgstr "חבילה זאת מותקנת, אבל קובץ ה lpk לא נמצא"   (= Translation)
    
    [Line: 13149] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisoverridethedefaultcompileregppc386ppcx64ppcppcetcd
    msgid "%soverride the default compiler. e.g. ppc386 ppcx64 ppcppc etc. default is stored in environmentoptions.xml"   (= Original)
    msgstr "דרוס את מהדר ברירת המחדל לדוגמא ppc386 ppcx64 ppcppc וכו'. מהדר ברירת המחדל מאוחסן בקובץ environmentoptions.xml"   (= Translation)
    
    [Line: 13159] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisoverridetheprojectcpuegi386x86_64powerpcpowerpc_64
    msgid "%soverride the project cpu. e.g. i386 x86_64 powerpc powerpc_64 etc. default: %s"   (= Original)
    msgstr "דרוס את מעבד ברירת המחדל של הפרוייקט לדוגמא ppc386 ppcx64 ppcppc וכו'. ברירת המחדל: s%"   (= Translation)
    
    [Line: 13163] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisoverridetheprojectoperatingsystemegwin32linuxdefau
    msgid "%soverride the project operating system. e.g. win32 linux. default: %s"   (= Original)
    msgstr "דרוס את מערכת ההפעלה שהיא ברירת המחדל לדוגמא win32 linux. ברירת המחדל: s%"   (= Translation)
    
    [Line: 13167] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisoverridetheprojectwidgetseteggtkgtk2qtwin32carbond
    msgid "%soverride the project widgetset. e.g. gtk gtk2 qt win32 carbon. default: %s"   (= Original)
    msgstr "דרוס את מערכת העצמים של הםרוייקט  לדוגמא gtk gtk2 qt win32 carbon. ברירת המחדל: s%"   (= Translation)
    
    [Line: 13187] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispackage2
    msgid "package %s"   (= Original)
    msgstr "חבילה s%"   (= Translation)
    
    [Line: 13359] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispckeditcallregisterprocedureofselectedunit
    msgid "Call %sRegister%s procedure of selected unit"   (= Original)
    msgstr "קרא לפרוצדורת הרישום של היחידה שנבחרה"   (= Translation)
    
    [Line: 13392] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispckeditdefault
    msgid "%s, default: %s"   (= Original)
    msgstr "ברירת מחדל"   (= Translation)
    
    [Line: 13432] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispckeditmodified
    msgid "Modified: %s"   (= Original)
    msgstr "השתנה: s%"   (= Translation)
    
    [Line: 13458] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispckeditpage
    msgid "%s, Page: %s"   (= Original)
    msgstr "עמוד: s%"   (= Translation)
    
    [Line: 13591] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispckexplstate
    msgid "%sState: "   (= Original)
    msgstr "מצב"   (= Translation)
    
    [Line: 13838] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispethefileiscurrentlynotintheincludepathofthepackagea
    msgid "The file \"%s\" is currently not in the include path of the package.%sAdd \"%s\" to the include path?"   (= Original)
    msgstr "הקובץ \"%s\" אינו נמצא כרגע בנתיב \"כלול\" של החבילה. האם להוסיף  \"%s\" לנתיב \"כלול\""   (= Translation)
    
    [Line: 13882] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispkgeditdoyoureallywanttoforgetallchangestopackageand
    msgid "Do you really want to forget all changes to package %s and reload it from file?"   (= Original)
    msgstr "אתה באמת רוצה לשכוח את כל השינויים לחבילה s% ולטעון אותה מחדש מהקובץ?"   (= Translation)
    
    [Line: 13987] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispkgmangbothpackagesareconnectedthismeanseitheronepackageu
    msgid "%sBoth packages are connected. This means, either one package uses the other, or they are both used by a third package."   (= Original)
    msgstr "שתי החבילות קשורות. כלומר כל חבילה משתמשת בשניה, או ששתיהן משתמשות בחבילה שלישית."   (= Translation)
    
    [Line: 14073] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispkgmanginstallingthepackagewillautomaticallyinstallthepac
    msgid "Installing the package %s will automatically install the package:"   (= Original)
    msgstr "התקנת החבילה s% תתקין אוטומטית את החבילה:"   (= Translation)
    
    [Line: 14077] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispkgmanginstallingthepackagewillautomaticallyinstallthepac2
    msgid "Installing the package %s will automatically install the packages:"   (= Original)
    msgstr "התקנת החבילה s% תתקין אוטומטית את החבילות:"   (= Translation)
    
    [Line: 14185] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispkgmangsavepackagelpk
    msgid "Save Package %s (*.lpk)"   (= Original)
    msgstr "שמור חבילה  (*.lpk)"   (= Translation)
    
    [Line: 14203] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispkgmangthecompilerfileforpackageisnotavalidexecutable
    msgid "The compiler file for package %s is not a valid executable:%s%s"   (= Original)
    msgstr "קובץ המהדר לחבילה s% אינו קובץ ריצה חוקי: s%s%"   (= Translation)
    
    [Line: 14284] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispkgmangthepackageisrequiredbywhichismarkedforinstallation
    msgid "The package %s is required by %s, which is marked for installation.%sSee package graph."   (= Original)
    msgstr "החבילה s% דרושה ע\"י s%, אשר מסומנת להתקנה. ראה גרף החבילה."   (= Translation)
    
    [Line: 14436] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispkgmanguninstallpackage2
    msgid "Uninstall package %s?"   (= Original)
    msgstr "להסיר את החבילה s%?"   (= Translation)
    
    [Line: 14500] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispkgsysinvalidunitname
    msgid "Invalid Unitname: %s"   (= Original)
    msgstr "שם יחידה לא חוקי: s%"   (= Translation)
    
    [Line: 14976] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisprojectsraisedexceptionclasss
    msgid "Project %s raised exception class '%s'."   (= Original)
    msgstr "הפרוייקט העלה חריגה במחלקה s%"   (= Translation)
    
    [Line: 14980] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisprojectsraisedexceptionclassswithmessagess
    msgid "Project %s raised exception class '%s' with message:%s%s"   (= Original)
    msgstr "הפרוייקט העלה חריגה במחלקה s% עם הודעה: s%s%"   (= Translation)
    
    [Line: 15024] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisprojinspdeletedependencyfor
    msgid "Delete dependency for %s?"   (= Original)
    msgstr "למחוק תלות ב s%?"   (= Translation)
    
    [Line: 15028] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisprojinspprojectinspector
    msgid "Project Inspector - %s"   (= Original)
    msgstr "מפקח הפרוייקט s%"   (= Translation)
    
    [Line: 15037] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisprojinspremovefilefromproject
    msgid "Remove file %s from project?"   (= Original)
    msgstr "להסיר קובץ S% מהפרוייקט"   (= Translation)
    
    [Line: 15049] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisprojmangunabletowritestatefileforprojecterror
    msgid "Unable to write state file for project %s%sError: %s"   (= Original)
    msgstr "לא יכול לכתוב את קובץ המצב של הפרוייקט s%s% שגיאה: s%"   (= Translation)
    
    [Line: 15150] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispvuunitnameandfilenamedonotmatchexampleunit1pasanduni
    msgid "Unitname and Filename do not match.%sExample: unit1.pas and Unit1"   (= Original)
    msgstr "שם היחידה ושם הקובץ לא מתאימים. לדוגמה: unit1.pas ו  Unit1 "   (= Translation)
    
    [Line: 15315] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisremovelocalvariable
    msgid "Remove local variable %s"   (= Original)
    msgstr "הסר משתנה מקומי s%"   (= Translation)
    
    [Line: 15576] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lissamabstractmethodsof
    msgid "Abstract methods of %s"   (= Original)
    msgstr "מתודה מופשטת של s%"   (= Translation)
    
    [Line: 15588] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lissamisanabstractclassithasabstractmethods
    msgid "%s is an abstract class, it has %s abstract methods."   (= Original)
    msgstr "זוהי מחלקה מופשטת, יש לה מתודה מופשטת."   (= Translation)
    
    [Line: 15608] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lissamthereareabstractmethodstooverrideselectthemethodsf
    msgid "There are %s abstract methods to override.%sSelect the methods for which stubs should be created:"   (= Original)
    msgstr "יש מתודות מופשטות לשכתוב. בחר את המתודות שעבורן צריך ליצור שארית:"   (= Translation)
    
    [Line: 15719] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lissaveproject
    msgid "Save project %s (*%s)"   (= Original)
    msgstr "שמור את פרוייקט %s "   (= Translation)
    
    [Line: 15767] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisseeprojectprojectinspector
    msgid "%sSee Project -> Project Inspector"   (= Original)
    msgstr "ראה Project -> Project Inspector"   (= Translation)
    
    [Line: 16408] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listhecomponentcannotbedeletedbecauseitisnotownedby
    msgid "The component %s can not be deleted, because it is not owned by %s."   (= Original)
    msgstr "לא ניתן למחוק את הרכיב, כי הוא שייך ל s%."   (= Translation)
    
    [Line: 16424] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listhecomponentisinheritedfromtodeleteaninheritedcomp
    msgid "The component %s is inherited from %s.%sTo delete an inherited component open the ancestor and delete it there."   (= Original)
    msgstr "הרכיב s% הוא ירושה מ s%. כדי למחוק רכיב מורש  פתח את האב ומחק אותו שם."   (= Translation)
    
    [Line: 16428] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listhecomponentisinheritedfromtorenameaninheritedcomp
    msgid "The component %s is inherited from %s.%sTo rename an inherited component open the ancestor and rename it there."   (= Original)
    msgstr "הרכיב s% הוא ירושה מ s%. כדי לשנות שם רכיב מורש  פתח את האב ומחק אותו שם."   (= Translation)
    
    [Line: 16448] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listhecontainsastarcharacterlazarususesthisasnormalch
    msgid "The %s contains a star * character.%sLazarus uses this as normal character and does not expand this as file mask."   (= Original)
    msgstr "ה %s מכילה את התו כוכבית. לאזרוס משתמש בו כתו רגיל ולא פורש אותו כמסכת קבצים."   (= Translation)
    
    [Line: 16518] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listhefiledoesnotlooklikealpifile
    msgid "The file %s does not look like a lpi file."   (= Original)
    msgstr "הקובץ s% לא נראה כמו קובץ lpi."   (= Translation)
    
    [Line: 16650] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listheothersourcescontainsadirectorywhichisalreadyint
    msgid "The \"Other sources\" contains a directory which is already in the \"Other unit files\".%s%s"   (= Original)
    msgstr "ה \"Other sources\" מכיל תיקייה שכבר נמצאת ב \"Other unit files\"."   (= Translation)
    
    [Line: 16660] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listheoutputdirectoryofislistedintheincludesearchpath
    msgid "The output directory of %s is listed in the include search path of %s."   (= Original)
    msgstr "תיקיית הפלט של s% היא ברשימת נתיבי החיפוש של קבצי ה\"כלול\"."   (= Translation)
    
    [Line: 16664] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listheoutputdirectoryofislistedintheinheritedincludes
    msgid "The output directory of %s is listed in the inherited include search path of %s."   (= Original)
    msgstr "תיקיית הפלט של s% היא ברשימת נתיבי החיפוש המורשים של קבצי ה\"כלול\"."   (= Translation)
    
    [Line: 16668] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listheoutputdirectoryofislistedintheinheritedunitsear
    msgid "The output directory of %s is listed in the inherited unit search path of %s."   (= Original)
    msgstr "תיקיית הפלט של s% היא ברשימת נתיבי החיפוש של היחידות המורשות."   (= Translation)
    
    [Line: 16672] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listheoutputdirectoryofislistedintheunitsearchpathof
    msgid "The output directory of %s is listed in the unit search path of %s."   (= Original)
    msgstr "תיקיית הפלט של s% היא ברשימת נתיבי החיפוש של היחידות."   (= Translation)
    
    [Line: 16688] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listhepackageaddsthepathtotheincludepathoftheidethisi
    msgid "The package %s adds the path \"%s\" to the include path of the IDE.%sThis is probably a misconfiguration of the package."   (= Original)
    msgstr "החבילה %s מוסיפה את הנתיב \"%s\" לנתיב \"כלול\" של ה  IDE. זוהי כנראה הגדרה שגוייה של החבילה."   (= Translation)
    
    [Line: 16692] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listhepackageaddsthepathtotheunitpathoftheidethisispr
    msgid "The package %s adds the path \"%s\" to the unit path of the IDE.%sThis is probably a misconfiguration of the package."   (= Original)
    msgstr "החבילה %s מוסיפה את הנתיב \"%s\" לנתיב היחידה של ה  IDE. זוהי כנראה הגדרה שגוייה של החבילה."   (= Translation)
    
    [Line: 16704] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listhepackagecannotbeuninstalledbecauseitisneededbyth
    msgid "The package %s can not be uninstalled, because it is needed by the IDE itself."   (= Original)
    msgstr "אי אפשר להסיר את התקנת החבילה, כי היא דרושה ל IDE עצמו."   (= Translation)
    
    [Line: 16778] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listhereareotherfilesinthedirectorywiththesamename
    msgid "There are other files in the directory with the same name,%swhich only differ in case:%s%s%sDelete them?"   (= Original)
    msgstr "יש קבצים נוספים בתיקייה בעלי אותו שם, אשר נבדלים רק בראשיות: האם למחוק אותם?"   (= Translation)
    
    [Line: 16902] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listheunitbelongstopackage
    msgid "The unit belongs to package %s."   (= Original)
    msgstr "היחידה שייכת לחבילה s%"   (= Translation)
    
    [Line: 16906] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listheunitexiststwiceintheunitpathofthe
    msgid "The unit %s exists twice in the unit path of the %s:"   (= Original)
    msgstr "היחידה s% קיימת פעמיים בנתיב היחידות של: s%"   (= Translation)
    
    [Line: 16924] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listheunitisusedbyotherfilesupdatereferencesautomatic
    msgid "The unit %s is used by other files.%sUpdate references automatically?"   (= Original)
    msgstr "קובץ אחר משתמש ביחידה s%. לעדכן את המקורות אוטומטית?"   (= Translation)
    
    [Line: 16978] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listhisstatementcannotbeextractedpleaseselectsomecode
    msgid "This statement can not be extracted.%sPlease select some code to extract a new procedure/method."   (= Original)
    msgstr "אי אפשר לחלץ משפט זה. בחר קוד אחר לחילוץ פרוצדורה/מתודה חדשה."   (= Translation)
    
    [Line: 17066] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listmunknownmacro
    msgid "(unknown macro: %s)"   (= Original)
    msgstr "(מאקרו לא מוכר: s%)"   (= Translation)
    
    [Line: 17407] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisunabletochangeclassofto
    msgid "%s%sUnable to change class of %s to %s"   (= Original)
    msgstr "לא יכול לשנות את המחלקה s% ל s%"   (= Translation)
    
    [Line: 17724] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisunabletowritetheprojectsessionfileerror
    msgid "Unable to write the project session file%s\"%s\".%sError: %s"   (= Original)
    msgstr "לא יכול לכתוב את קובץ ה  session . שגיאה: %s"   (= Translation)
    
    [Line: 17905] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisuseidentifierinat
    msgid "Use identifier %s in %s at %s"   (= Original)
    msgstr "השתמש במזהה s% ב %s ב %s"   (= Translation)
    
    [Line: 18064] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liswarningthisisthemainunitthenewmainunitwillbepas
    msgid "%sWarning: This is the main unit. The new main unit will be %s.pas."   (= Original)
    msgstr "אזהרה: זאת היחידה הראשית, היחידה הראשית החדשה תהייה  s.pas%"   (= Translation)
    
    [Line: 19027] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.srkmecexttool
    msgid "External tool %d"   (= Original)
    msgstr "כלי חיצוני d%"   (= Translation)
    
    [Line: 19118] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.srkmecfoldlevel
    msgid "Fold to Level %d"   (= Original)
    msgstr "קפל לרמה d%"   (= Translation)
    
    [Line: 19122] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.srkmecgotoeditor
    msgid "Go to editor %d"   (= Original)
    msgstr "לך לעורך d%"   (= Translation)
    
    [Line: 19138] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.srkmecgotomarker
    msgid "Go to Marker %d"   (= Original)
    msgstr "לך לסמן d%"   (= Translation)
    
    [Line: 19618] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.srkmecsetmarker
    msgid "Set Marker %d"   (= Original)
    msgstr "קבע סמן d%"   (= Translation)
    
    [Line: 19853] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.srkmectogglemarker
    msgid "Toggle Marker %d"   (= Original)
    msgstr "החלף סמן d%"   (= Translation)
    
    Found 126 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.id.po
    -------------------------------------------------------
    
    [Line: 8230] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liserrorreadingpackagelistfromfile
    msgid "Error reading package list from file%s%s%s%s"   (= Original)
    msgstr "Pembacaan daftar paket salah dari file %s%s%s%s%s"   (= Translation)
    
    [Line: 12421] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisnewdlgcreateanewprojectchooseatype
    msgid "Create a new project.%sChoose a type."   (= Original)
    msgstr "Buat proyek baru.%Pilih jenis."   (= Translation)
    
    [Line: 12425] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisnewdlgcreateanewstandardpackageapackageisacollectionofun
    msgid "Create a new standard package.%sA package is a collection of units and components."   (= Original)
    msgstr "Buat paket standar baru.%Paket adalah koleksi dari unit dan komponen."   (= Translation)
    
    Found 3 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.lt.po
    -------------------------------------------------------
    
    [Line: 16415] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listheprojectdoesnotusethelclunitinterfacesbutitseems
    msgid "The project does not use the LCL unit interfaces, which is required by LCLBase.%sYou will get strange linker errors if you use the LCL without interfaces."   (= Original)
    msgstr "Projekte nenaudojamos LCL modulio sąsajos, kurių reikalauja „LCLBase“.%Jei LCL formos naudojamos be sąsajų, saistyklė gali pranešti apie keistas klaidas."   (= Translation)
    
    [Line: 18782] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.srkmecgotoeditor
    msgid "Go to editor %d"   (= Original)
    msgstr "Rodyti %s rengyklę"   (= Translation)
    
    Found 2 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.sk.po
    -------------------------------------------------------
    
    [Line: 6109] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscodetoolsdefstheprojectdirectory
    msgid "The %s project directory,%swhich contains the .dpr, dpk file."   (= Original)
    msgstr "Adresár projektu %s, ktorý obsahuje súbory .dpr, dpk."   (= Translation)
    
    [Line: 16580] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listhereareotherfilesinthedirectorywiththesamename
    msgid "There are other files in the directory with the same name,%swhich only differ in case:%s%s%sDelete them?"   (= Original)
    msgstr "V adresári sú iné súbory s rovnakým menom,%s%sktoré sa líšia len veľkosťou písmen:%s%s%sZmazať ich?"   (= Translation)
    
    Found 2 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.tr.po
    -------------------------------------------------------
    
    [Line: 13500] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lispkgmangfilenotfound
    msgid "File \"%s\" not found."   (= Original)
    msgstr "%s%s%s adlı dosya bulunamadı.%s"   (= Translation)
    
    Found 1 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.uk.po
    -------------------------------------------------------
    
    [Line: 5800] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscodetoolsdefsdelphimaindirectoryforproject
    msgid "The %s main directory,%swhere Borland has installed all %s sources,%swhich are used by this %s project.%sFor example: C:/Programme/Borland/Delphi%s"   (= Original)
    msgstr "Головна тека %s, %sде Borland встановив всі коди %s,використані проектом %s. %sНаприклад: C:/Programme/Borland/Delphi%s"   (= Translation)
    
    [Line: 6050] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liscodetoolsdefsvalueisinvalid
    msgid "%s:%svalue \"%s\" is invalid."   (= Original)
    msgstr "%s:%значення \"%s\" є невірним."   (= Translation)
    
    Found 2 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    lazaruside.zh_CN.po
    -------------------------------------------------------
    
    [Line: 7270] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.lisdebuggererrorooopsthedebuggerenteredtheerrorstate
    msgid "Debugger error%sOoops, the debugger entered the error state%sSave your work now !%sHit Stop, and hope the best, we're pulling the plug."   (= Original)
    msgstr "调试器错误%s哦,晕啊,调试器发生 %s 错误.马上保存你的工作!点击停止,最好希望我们能够解决它."   (= Translation)
    
    [Line: 8340] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.liserrorsavingto
    msgid "Error saving %s to%s%s%s%s"   (= Original)
    msgstr "保存%到%s%s%s%s出错"   (= Translation)
    
    [Line: 16345] Incompatible and/or invalid format() arguments for:
    #:  lazarusidestrconsts.listhedirectorywasnotfound
    msgid "The directory %s was not found."   (= Original)
    msgstr "目标目录 %s%s%s%s 未找到."   (= Translation)
    
    Found 3 errors.
    -------------------------------------------------------
    
    
    Total errors found: 143
    Total warnings found: 0
    
    lazaruside.po.errors.txt (48,114 bytes)
  • objinspstrconsts.po.errors.txt (2,449 bytes)
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.de.po
    -------------------------------------------------------
    
    [Line: 117] Incompatible and/or invalid format() arguments for:
    #:  objinspstrconsts.clbdeletequest
    msgid "Delete the Item %d \"%s\"?"   (= Original)
    msgstr "Den Eintrag %s \"%s\" löschen?"   (= Translation)
    
    [Line: 478] Incompatible and/or invalid format() arguments for:
    #:  objinspstrconsts.oisdlinesdchars
    msgid "%d lines, %d chars"   (= Original)
    msgstr "% Zeilen, % Zeichen"   (= Translation)
    
    [Line: 844] Incompatible and/or invalid format() arguments for:
    #:  objinspstrconsts.oistdactdatasetinsertheadline
    msgid "&Insert"   (= Original)
    msgstr "%Einfügen"   (= Translation)
    
    Found 3 errors.
    -------------------------------------------------------
    
    
    -------------------------------------------------------
    Errors / warnings reported by CheckFormatArgs for:
    objinspstrconsts.he.po
    -------------------------------------------------------
    
    [Line: 158] Incompatible and/or invalid format() arguments for:
    #:  objinspstrconsts.fesfieldcantbec
    msgid "Field %s cannot be created!"   (= Original)
    msgstr "אי אפשר ליצור את השדה s%"   (= Translation)
    
    [Line: 328] Incompatible and/or invalid format() arguments for:
    #:  objinspstrconsts.ois1linedchars
    msgid "1 line, %d chars"   (= Original)
    msgstr "שורה אחת, תווים d%"   (= Translation)
    
    [Line: 477] Incompatible and/or invalid format() arguments for:
    #:  objinspstrconsts.oisdlinesdchars
    msgid "%d lines, %d chars"   (= Original)
    msgstr "שורות d%, תווים d%"   (= Translation)
    
    [Line: 571] Incompatible and/or invalid format() arguments for:
    #:  objinspstrconsts.oisjumptodeclarationof
    msgid "Jump to declaration of %s"   (= Original)
    msgstr "קפוץ להצהרה של s%"   (= Translation)
    
    [Line: 683] Incompatible and/or invalid format() arguments for:
    #:  objinspstrconsts.oispropertiesof
    msgid "Properties of %s"   (= Original)
    msgstr "תכונות של s%"   (= Translation)
    
    [Line: 755] Incompatible and/or invalid format() arguments for:
    #:  objinspstrconsts.oissettodefault
    msgid "Set to default: %s"   (= Original)
    msgstr "קבע כברירת מחדל: s%"   (= Translation)
    
    Found 6 errors.
    -------------------------------------------------------
    
    
    Total errors found: 9
    Total warnings found: 0
    

Relationships

parent of 0026431 closedMaxim Ganetsky Patches Updated lclstrconsts.it.po 
parent of 0026427 closedMaxim Ganetsky Patches Updated lazaruside.it.po 
parent of 0026429 closedMaxim Ganetsky Patches Updated codetoolsstrconsts.it.po 
parent of 0026428 closedMaxim Ganetsky Patches Updated objinspstrconsts.it.po 
has duplicate 0026405 resolvedBart Broersma Lazarus Crash on opening a form 
has duplicate 0026445 resolvedMaxim Ganetsky Lazarus When i try to install a new package the IDE Crashes (Acces Violation) 
related to 0026425 closedMaxim Ganetsky Lazarus Hungarian translation update (2014.Jul.29) 
related to 0026527 resolvedMaxim Ganetsky Lazarus In Lazarus PO translation mode: Strings marked as FUZZY are displayed. 
related to 0026619 closedBart Broersma Lazarus PO-checker could use option to not process "fuzzy" translations 

Activities

Bart Broersma

2014-06-29 13:14

developer  

lazaruside.formaterrors.txt (4,750 bytes)
-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.af_ZA.po
-------------------------------------------------------
Found 1 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.ar.po
-------------------------------------------------------
Found 6 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.ca.po
-------------------------------------------------------
Found 133 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.cs.po
-------------------------------------------------------
Found 215 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.de.po
-------------------------------------------------------
Found 214 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.es.po
-------------------------------------------------------
Found 214 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.fi.po
-------------------------------------------------------
Found 1 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.fr.po
-------------------------------------------------------
Found 205 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.he.po
-------------------------------------------------------
Found 324 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.hu.po
-------------------------------------------------------
Found 156 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.ja.po
-------------------------------------------------------
Found 215 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.lt.po
-------------------------------------------------------
Found 216 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.pl.po
-------------------------------------------------------
Found 122 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.pt_BR.po
-------------------------------------------------------
Found 215 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.sk.po
-------------------------------------------------------
Found 180 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.tr.po
-------------------------------------------------------
Found 64 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.uk.po
-------------------------------------------------------
Found 212 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.zh_CN.po
-------------------------------------------------------
Found 177 errors.
-------------------------------------------------------

Bart Broersma

2014-06-29 13:14

developer  

objinspstrconsts.formaterrors.txt (4,292 bytes)
-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.ca.po
-------------------------------------------------------
Found 3 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.cs.po
-------------------------------------------------------
Found 8 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.de.po
-------------------------------------------------------
Found 10 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.es.po
-------------------------------------------------------
Found 8 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.fr.po
-------------------------------------------------------
Found 6 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.he.po
-------------------------------------------------------
Found 12 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.hu.po
-------------------------------------------------------
Found 8 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.id.po
-------------------------------------------------------
Found 3 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.it.po
-------------------------------------------------------
Found 8 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.ja.po
-------------------------------------------------------
Found 8 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.lt.po
-------------------------------------------------------
Found 8 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.pl.po
-------------------------------------------------------
Found 2 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.pt_BR.po
-------------------------------------------------------
Found 8 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.sk.po
-------------------------------------------------------
Found 6 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.uk.po
-------------------------------------------------------
Found 8 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.zh_CN.po
-------------------------------------------------------
Found 3 errors.
-------------------------------------------------------

Bart Broersma

2014-06-29 13:15

developer  

anchordockstr.formaterrors.txt (1,854 bytes)
-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
anchordockstr.cs.po
-------------------------------------------------------
Found 7 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
anchordockstr.es.po
-------------------------------------------------------
Found 7 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
anchordockstr.it.po
-------------------------------------------------------
Found 7 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
anchordockstr.lt.po
-------------------------------------------------------
Found 7 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
anchordockstr.pt_BR.po
-------------------------------------------------------
Found 7 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
anchordockstr.ru.po
-------------------------------------------------------
Found 7 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
anchordockstr.uk.po
-------------------------------------------------------
Found 7 errors.
-------------------------------------------------------

Bart Broersma

2014-06-29 13:25

developer  

codetoolsstrconsts.formaterrors.txt (3,783 bytes)
-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.ca.po
-------------------------------------------------------
Found 5 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.cs.po
-------------------------------------------------------
Found 5 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.de.po
-------------------------------------------------------
Found 7 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.es.po
-------------------------------------------------------
Found 5 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.fr.po
-------------------------------------------------------
Found 6 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.he.po
-------------------------------------------------------
Found 52 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.id.po
-------------------------------------------------------
Found 6 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.it.po
-------------------------------------------------------
Found 6 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.lt.po
-------------------------------------------------------
Found 6 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.pl.po
-------------------------------------------------------
Found 5 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.pt_BR.po
-------------------------------------------------------
Found 5 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.sk.po
-------------------------------------------------------
Found 5 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.uk.po
-------------------------------------------------------
Found 6 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.zh_CN.po
-------------------------------------------------------
Found 7 errors.
-------------------------------------------------------

Juha Manninen

2014-06-29 13:30

developer   ~0075947

Yes, this should be assigned to all translators. Please fix the strings.

Hardcoding the quotes (") creates some work initially but makes things easier in long run.
Format() parameter sequences like %s%s%s%s%s%s are gone now.
Newlines are still passed as parameters.

Michl

2014-06-29 22:03

developer  

lazaruside.de.po.zip (56,890 bytes)

Michl

2014-06-29 22:04

developer  

lazaruside.de.zip (134,408 bytes)

Michl

2014-06-29 22:04

developer   ~0075958

I have attached the renewed lazaruside.de.po, patch and file completely, do not know which is better.

Lazarus (1.3 r45729M FPC 2.7.1 i386-win32-win32/win64) is working it again properly.

Juha Manninen

2014-06-29 22:36

developer   ~0075959

Thanks!
Assigning to Maxim.

Tomasz Wieckowski

2014-06-29 22:40

reporter   ~0075960

Is there the test for CheckFormatArgs ? I don't see in pochecker.

Tomasz Wieckowski

2014-06-29 22:53

reporter   ~0075961

Oh nevermind, I'm looking for errors (from attached files) but I see that was fixed 5 days ago, am I right?

Michl

2014-06-30 00:16

developer  

Patch.zip (215,614 bytes)

Michl

2014-06-30 00:16

developer   ~0075963

I dont knew the PoChecker - thanks for the note - I had quickly written an own small program for me, to find the error in the .po files. I have installed the PoChecker and it had found indeed one mistake.

I've added a new patch also "objinspstrconsts.de.po" and "codetoolsstrconsts.de.po" inside (one Zip for Patch/Files/PoCheck-testfile).

Maxim Ganetsky

2014-07-02 23:35

developer   ~0076025

@Michl: German translation is maintained by Swen Heinig. Please contact him. You can find his mail e.g. in lazaruside.de.po file header.

Maxim Ganetsky

2014-08-15 00:16

developer   ~0076605

Last edited: 2014-08-15 00:17

View 2 revisions

Fuzzy translations aren't loaded anymore, this avoids such crashes and is consistent with gettext behaviour (see bug 0026527).

Please test and close if OK.

Bart Broersma

2014-08-20 13:46

developer   ~0076661

The POChecker toolstill finds lots of incompatible format arguments in several po files.
However the tool doesnot have an option to exclude fuzyy translations yet...

Bart Broersma

2014-08-21 20:37

developer  

codetoolsstrconsts.po.errors.txt (14,708 bytes)
-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.de.po
-------------------------------------------------------

[Line: 627] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsmethodsignaturesnotfoundinclass
msgid "Method signature %s not found in class"   (= Original)
msgstr "Methodensignatur nicht in Klasse gefunden"   (= Translation)

[Line: 793] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsscannedfiles
msgid "Scanned files: %s"   (= Original)
msgstr "Gescannte Dateien: 5s"   (= Translation)

Found 2 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.fr.po
-------------------------------------------------------

[Line: 451] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsidentexpectedbutkeywordfound
msgid "identifier expected, but keyword %s found"   (= Original)
msgstr "Identificateur attendu, mais % trouvé"   (= Translation)

Found 1 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.he.po
-------------------------------------------------------

[Line: 32] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsaddsdirtoincludepath
msgid "adds %s to IncPath"   (= Original)
msgstr "מוסיף את  s% ל IncPath"   (= Translation)

[Line: 36] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsaddsdirtosourcepath
msgid "adds %s to SrcPath"   (= Original)
msgstr "מוסיף s% ל SrcPath"   (= Translation)

[Line: 48] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsanonymdefinitionsarenotallowed
msgid "Anonymous %s definitions are not allowed"   (= Original)
msgstr "הגדרות אנונימיות s% אסורות"   (= Translation)

[Line: 52] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsawithoutb
msgid "%s without %s"   (= Original)
msgstr "ללא"   (= Translation)

[Line: 68] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsbracketcloseexpectedbutatomfound
msgid "bracket close expected, but %s found"   (= Original)
msgstr "צפויה סגירת סוגריים, אבל s% נמצא"   (= Translation)

[Line: 72] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsbracketnotfound
msgid "bracket %s not found"   (= Original)
msgstr "סוגר s% לא נמצא"   (= Translation)

[Line: 76] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsbracketopenexpectedbutatomfound
msgid "bracket open expected, but %s found"   (= Original)
msgstr "צפויה פתיחת סוגריים, אבל s% נמצא"   (= Translation)

[Line: 102] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsclassofdefinitionnotresolved
msgid "\"class of\" definition not resolved: %s"   (= Original)
msgstr "ההגדרות של \"class of\" לא פוענחו: s%"   (= Translation)

[Line: 106] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsclasssnotfound
msgid "Class %s not found"   (= Original)
msgstr "המחלקה s% לא נמצאה"   (= Translation)

[Line: 198] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsdefaultparameterexpectedbutatomfound
msgid "default parameter expected, but %s found"   (= Original)
msgstr "צפוי פרמטר ברירת המחדל, אבל נמצא s%"   (= Translation)

[Line: 234] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsdefinemacroname
msgid "Define Macro %s"   (= Original)
msgstr "הגדר מאקרו s%"   (= Translation)

[Line: 262] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsdircomponentdoesnotexistsorisdanglingsymlink
msgid "a directory component in %s does not exist or is a dangling symlink"   (= Original)
msgstr "רכיב בתיקייה s% אינו קיים או שהוא קישור סימבולי מפוקפק"   (= Translation)

[Line: 266] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsdircomponentisnotdir
msgid "a directory component in %s is not a directory"   (= Original)
msgstr "רכיב של תיקייה ב s% אינו תיקייה"   (= Translation)

[Line: 282] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsduplicateidentifier
msgid "duplicate identifier: %s"   (= Original)
msgstr "מזהה כפול: s%"   (= Translation)

[Line: 302] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsendofsourceexpectedbutatomfound
msgid "expected end., but %s found"   (= Original)
msgstr "צפוי .end אבל s% נמצא"   (= Translation)

[Line: 336] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsexecuteaccessdeniedforfile
msgid "execute access denied for %s"   (= Original)
msgstr "הרשאת ריצה הוגדרה עבור s%"   (= Translation)

[Line: 376] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsfilehascircularsymlink
msgid "%s has a circular symbolic link"   (= Original)
msgstr "יש ל s% קישור סימבולי מעגלי"   (= Translation)

[Line: 388] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsforwardclassdefinitionnotresolved
msgid "Forward class definition not resolved: %s"   (= Original)
msgstr "ההגדרות של המחלקה הבאה לא פוענחו: s%"   (= Translation)

[Line: 408] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsfreepascalsourcesplusdesc
msgid "Free Pascal Sources, %s"   (= Original)
msgstr "מקורות של fpc   "   (= Translation)

[Line: 442] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsidentexpectedbutatomfound
msgid "identifier expected, but %s found"   (= Original)
msgstr "מצפה למזהה, אבל נמצא s%"   (= Translation)

[Line: 450] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsidentexpectedbutkeywordfound
msgid "identifier expected, but keyword %s found"   (= Original)
msgstr "מצפה למזהה, אבלמלת מפתח  s% נמצאה"   (= Translation)

[Line: 458] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsidentifieralreadydefined
msgid "Identifier %s already defined"   (= Original)
msgstr "מזהה s% כבר הוגדר"   (= Translation)

[Line: 462] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsidentifiernotfound
msgid "identifier not found: %s"   (= Original)
msgstr "מזהה לא נמצא: יחידה s%"   (= Translation)

[Line: 494] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsillegalcircleinusedunits
msgid "illegal circle using unit: %s"   (= Original)
msgstr "מעגל לא חוקי בשימוש ביחדה: s%"   (= Translation)

[Line: 498] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsillegalqualifier
msgid "illegal qualifier %s found"   (= Original)
msgstr "מסייג לא חוקי s% נמצא"   (= Translation)

[Line: 510] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsincludedirectoriesplusdirs
msgid "include directories: %s"   (= Original)
msgstr "תיקיות \"כלול\": s%"   (= Translation)

[Line: 522] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsindexparameterexpectedbutatomfound
msgid "index parameter expected, but %s found"   (= Original)
msgstr "צפוי פרמטר אינדקס, אבל נמצא s%"   (= Translation)

[Line: 566] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsinvalidflagvaluefordirective
msgid "invalid flag value \"%s\" for directive %s"   (= Original)
msgstr "ערך דגל לא חוקי \"%s\" עבור הוראה s%"   (= Translation)

[Line: 610] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctskeywordexampleexpectedbutatomfound
msgid "keyword (e.g. %s) expected, but %s found"   (= Original)
msgstr "צפויה מלת מפתח (למשל s%) אבל נמצא s%"   (= Translation)

[Line: 654] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsnameddirectory
msgid "%s Directory"   (= Original)
msgstr "תיקייה s%"   (= Translation)

[Line: 658] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsnamedproject
msgid "%s Project"   (= Original)
msgstr "פרוייקט s%"   (= Translation)

[Line: 666] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsnesteddefinitionsarenotallowed
msgid "Nested %s definitions are not allowed"   (= Original)
msgstr "הגדרות מקוננות s% אסורות"   (= Translation)

[Line: 682] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsnopascalcodefound
msgid "no pascal code found (first token is %s)"   (= Original)
msgstr "לא נמצא קוד של פסקל (הסימן הראשון הוא s%)"   (= Translation)

[Line: 698] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsoldmethodnotfound
msgid "old method not found: %s"   (= Original)
msgstr "מתודה ישנה לא נמצאה: s%"   (= Translation)

[Line: 728] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsothercompilerdefines
msgid "%s Compiler Defines"   (= Original)
msgstr "הגדרת המהדר s%"   (= Translation)

[Line: 768] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsproperttypeexpectedbutatomfound
msgid "property type expected, but %s found"   (= Original)
msgstr "צפוי סוג התכונה, אבל נמצא s%"   (= Translation)

[Line: 776] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctspropertyspecifieralreadydefined
msgid "property specifier already defined: %s"   (= Original)
msgstr "מציין התכונה כבר מוגדר: s%"   (= Translation)

[Line: 780] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsqualifierexpectedbutatomfound
msgid "qualifier expected but %s found"   (= Original)
msgstr "צפוי מסייג אבל s% נמצא"   (= Translation)

[Line: 800] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctssemicolonafterpropspecmissing
msgid "; expected after \"%s\" property specifier, but %s found"   (= Original)
msgstr "צפוי נקודה פסיק אחרי מציין תכונה s%, אבל נמצא s%"   (= Translation)

[Line: 808] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctssetsincpathto
msgid "sets IncPath to %s"   (= Original)
msgstr "קובע את  s% כ  IncPath "   (= Translation)

[Line: 812] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctssetssrcpathto
msgid "sets SrcPath to %s"   (= Original)
msgstr "קובע את   IncPath ל  s% "   (= Translation)

[Line: 924] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsunitnotfound
msgid "unit not found: %s"   (= Original)
msgstr "יחידה לא נמצאה s%"   (= Translation)

[Line: 932] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsunknownfunction
msgid "Unknown function %s"   (= Original)
msgstr "פונקציה לא ידועה s%"   (= Translation)

[Line: 940] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsunknownsectionkeyword
msgid "unknown section keyword %s found"   (= Original)
msgstr "מלת מפתח s% לא ידוע באזור נמצאה"   (= Translation)

[Line: 944] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsunknownsubdescriptor
msgid "(unknown subdescriptor %s)"   (= Original)
msgstr "(תת-מאפיין לא מוכר s%)"   (= Translation)

Found 45 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.id.po
-------------------------------------------------------

[Line: 107] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsclasssnotfound
msgid "Class %s not found"   (= Original)
msgstr "Kelas %s%s%s tidak ditemukan"   (= Translation)

Found 1 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.lt.po
-------------------------------------------------------

[Line: 495] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsillegalcircleinusedunits
msgid "illegal circle using unit: %s"   (= Original)
msgstr "neleistinas naudojamų modulių žiedas"   (= Translation)

Found 1 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.uk.po
-------------------------------------------------------

[Line: 945] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsunknownsubdescriptor
msgid "(unknown subdescriptor %s)"   (= Original)
msgstr "(Невідомий субдескриптор)"   (= Translation)

Found 1 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
codetoolsstrconsts.zh_CN.po
-------------------------------------------------------

[Line: 573] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsinvalidmode
msgid "invalid mode \"%s\""   (= Original)
msgstr "无效模式"   (= Translation)

[Line: 927] Incompatible and/or invalid format() arguments for:
#:  codetoolsstrconsts.ctsunitnotfound
msgid "unit not found: %s"   (= Original)
msgstr "单元未找到"   (= Translation)

Found 2 errors.
-------------------------------------------------------


Total errors found: 53
Total warnings found: 0

Bart Broersma

2014-08-21 20:37

developer  

lazaruside.po.errors.txt (48,114 bytes)
-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.ar.po
-------------------------------------------------------

[Line: 5071] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lischoosecompilerpath
msgid "Choose compiler filename (%s)"   (= Original)
msgstr "إختر اسم برنامج التّرجمة"   (= Translation)

Found 1 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.ca.po
-------------------------------------------------------

[Line: 5781] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscodetoolsdefsdelphimaindirectorydesc
msgid "The %s main directory,%swhere Borland has installed all %s sources.%sFor example: C:/Programme/Borland/Delphi%s"   (= Original)
msgstr "El %s directori principal, %s on Borland a instal·lat totes les fonts %s. Per exemple: C:/Programme/Borland/Delphi%s"   (= Translation)

[Line: 5785] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscodetoolsdefsdelphimaindirectoryforproject
msgid "The %s main directory,%swhere Borland has installed all %s sources,%swhich are used by this %s project.%sFor example: C:/Programme/Borland/Delphi%s"   (= Original)
msgstr "El directori principal %s, on Borland ha instal·lat totes les fonts %s i que son utilitzades per aquest projecte.%s Per exemple: C:/Programme/Borland/Delphi%s"   (= Translation)

Found 2 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.fi.po
-------------------------------------------------------

[Line: 13299] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispkgmangthepackageiscompiledautomaticallyanditsoutputdirec
msgid "The package \"%s\" is compiled automatically and its output directory is \"%s\", which is in the default unit search path of the compiler. The package uses other packages which also use the default unit search of the compiler. This creates an endless loop.%sYou can fix this issue by removing the path from your compiler config (e.g. fpc.cfg)%sor by disabling the auto update of this package or by removing dependencies."   (= Original)
msgstr "Paketti \"%s\" on käännetty automaattisesti ja sen käännöshakemisto on \"%s\", mikä on kääntäjän oletus. Paketti käyttää muita paketteja, mitkä myös käyttävät kääntäjän oletusta käännösyksiköiden hakuun. Se synnyttää ikuisen luupin.%sOngelma pitää ratkaista%spoistamalla polku kääntäjän konfiguroinnista (esim. fpc.cfg)%stai kieltämällä paketin automaattinen päivitys%stai poistamalla riippuvuudet."   (= Translation)

Found 1 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.he.po
-------------------------------------------------------

[Line: 1359] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.dlgeddelayinsec
msgid "(%s sec delay)"   (= Original)
msgstr "(השהייה של s% שניות)"   (= Translation)

[Line: 2878] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.dlgprojectoptionsfor
msgid "Options for Project: %s"   (= Original)
msgstr "אפשרויות לפרוייקט: s%"   (= Translation)

[Line: 3049] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.dlgseachdirectorynotfound
msgid "Search directory \"%s\" not found."   (= Original)
msgstr "התקייה המבוקשת  \"s%\" לא נמצאה."   (= Translation)

[Line: 3405] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.dlguserschemeerror
msgid "Failed to load user-scheme file %s"   (= Original)
msgstr "נכשל בטעינת קובץ סכמת משתמש s%"   (= Translation)

[Line: 3963] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisaboutlazarusmsg
msgid "License: GPL/LGPL. See Lazarus and Free Pascal sources for license details.%sLazarus is an IDE to create graphical and console applications with Free Pascal. Free Pascal is Pascal and Object Pascal compiler that runs on Windows, Linux, Mac OS X, FreeBSD and more.%sLazarus is the missing part of the puzzle that will allow you to develop programs for all of the above platforms in a Delphi like environment. The IDE is a RAD tool that includes a form designer.%sAs Lazarus is growing we need more developers."   (= Original)
msgstr "רשיון: GPL/GPL%s לזארוס הוא IDE ליצירת יישומים (גרפיים או למסוף) בשפת free pascal. free pascal היא מהדר פסקל ופסקל מונחה עצמים ברשיון GPL/LGPL  שרץ על חלונות, ליבוקס,  מאק - גרסה 10, FreeBSD ועוד. לזארוס הוא החלק החסר בפאזל שמאפשר לך לפתח תוכנות לכל מערכות ההפעלה האלו בסביבה דמויית דלפי. ה IDE הוא כלי RAD הכולל מעצב טפסים. ככל שלזארוס גדלה אנו זקוקים ליותר מפתחים.ראה במקורות של לזארוס ו Free Pascal את פרטי הרשיון."   (= Translation)

[Line: 4079] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisaddpackagetoproject
msgid "Add package %s to project?"   (= Original)
msgstr "הוסף חבילה s% לפרוייקט?"   (= Translation)

[Line: 4180] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisaf2pthepackageisreadonly
msgid "The package %s is read only."   (= Original)
msgstr "החבילה s% היא לקריאה בלבד."   (= Translation)

[Line: 4312] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisanchorenabledhint
msgid "Enabled = Include %s in Anchors"   (= Original)
msgstr "אפשר = כלול s% בעוגנים"   (= Translation)

[Line: 4701] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscallingtocreatemakefilefromfailed
msgid "Calling %s to create Makefile from %s failed."   (= Original)
msgstr "קריאת s% ליצירת makefile מ s% נכשלה."   (= Translation)

[Line: 4806] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisccocompilernotanexe
msgid "The compiler \"%s\" is not an executable file.%sDetails: %s"   (= Original)
msgstr "המהדר s% אינו קובץ ריצה. s% פרטים: s%"   (= Translation)

[Line: 4881] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisccoppunotfounddetailed
msgid "The compiled FPC unit %s.ppu was not found.%sThis typically means your fpc.cfg has a bug. Or your FPC installation is broken."   (= Original)
msgstr "היחידה s%.ppu המהודרת של FPC לא נמצאה. בדרך כלל זה אומר שיש באג בקובץ fpc.cfg, או שההתקנה של FPC שבורה."   (= Translation)

[Line: 4885] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisccoppuolderthancompiler
msgid "There is a .ppu file older than the compiler itself:%s%s"   (= Original)
msgstr "יש קובץ ppu. ישן יותר מהמהדר עצמו:s%s%"   (= Translation)

[Line: 5159] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscfeclassnotfound
msgid "%s%sClass \"%s\" not found."   (= Original)
msgstr "המחלקה  \"%s\" לא נמצאה."   (= Translation)

[Line: 5163] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscfecomponent
msgid "%s%sComponent: %s:%s"   (= Original)
msgstr "רכיב: %s:%s"   (= Translation)

[Line: 5167] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscfecomponentclass
msgid "%s%sComponent Class: %s"   (= Original)
msgstr "מחלקת רכיבים: %s"   (= Translation)

[Line: 5225] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscferoot
msgid "%sRoot=%s:%s"   (= Original)
msgstr "רוט= %s:%s"   (= Translation)

[Line: 5233] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscfestream
msgid "%sStream=%s"   (= Original)
msgstr "זרם= %s"   (= Translation)

[Line: 5237] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscfestreamposition
msgid "%s%sStream position: %s"   (= Original)
msgstr "מיקום הזרם: %s"   (= Translation)

[Line: 5245] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscfetcustomformeditorcreatenonformformunknowntype
msgid "TCustomFormEditor.CreateNonFormForm Unknown type %s"   (= Original)
msgstr "סוג לא ידוע TCustomFormEditor.CreateNonFormForm"   (= Translation)

[Line: 5253] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscfetcustomformeditorregisterdesignermediatoralreadyre
msgid "TCustomFormEditor.RegisterDesignerMediator already registered: %s"   (= Original)
msgstr "כבר רשום: TCustomFormEditor.RegisterDesignerMediator"   (= Translation)

[Line: 5265] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscfeunabletocleartheformeditingselection
msgid "Unable to clear the form editing selection%s%s"   (= Original)
msgstr "לא יכול לנקות את בחירת עורך הטפסים"   (= Translation)

[Line: 5350] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lischeckthetargetoscpulclwidgettypemaybeyouhavetoreco
msgid "%s Check the target (OS, CPU, LCL widget type). Maybe you have to recompile the package for this target or set another target for the project."   (= Original)
msgstr "בדוק את היעד (OS, CPU, LCL widget type). יתכן שתצטרך להדר את החבילה מחדש עבור יעד זה או לקבוע יעד אחר לפרוייקט."   (= Translation)

[Line: 5863] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscodetoolsdefsautogenerated
msgid "%s, auto generated"   (= Original)
msgstr "נוצר אוטומטית"   (= Translation)

[Line: 5891] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscodetoolsdefscreatedefinesfordirectory
msgid "Create Defines for %s Directory"   (= Original)
msgstr "צור מגדירים לתקיית s%"   (= Translation)

[Line: 5903] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscodetoolsdefscreatedefinesforproject
msgid "Create Defines for %s Project"   (= Original)
msgstr "צור מגדירים לפרוייקט s%"   (= Translation)

[Line: 5923] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscodetoolsdefsdelphimaindirectorydesc
msgid "The %s main directory,%swhere Borland has installed all %s sources.%sFor example: C:/Programme/Borland/Delphi%s"   (= Original)
msgstr "התיקייה הראשית s% שבה הותקנו כל קבצי הקוד של בורלנד. למשל: C:/Programme/Borland/Delphi%s"   (= Translation)

[Line: 5927] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscodetoolsdefsdelphimaindirectoryforproject
msgid "The %s main directory,%swhere Borland has installed all %s sources,%swhich are used by this %s project.%sFor example: C:/Programme/Borland/Delphi%s"   (= Original)
msgstr "התיקייה הראשית s% שבה הותקנו כל קבצי הקוד של בורלנד, אשר בשמוש בפרוייקט זה. למשל: C:/Programme/Borland/Delphi%s"   (= Translation)

[Line: 6056] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscodetoolsdefskylixmaindirectorydesc
msgid "The %s main directory,%swhere Borland has installed all %s sources.%sFor example: /home/user/kylix%s"   (= Original)
msgstr "התיקייה הראשית s% שבה הותקנו כל קבצי הקוד של בורלנד. למשל: home/user/kylix%s/"   (= Translation)

[Line: 6060] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscodetoolsdefskylixmaindirectoryforproject
msgid "The %s main directory,%swhere Borland has installed all %s sources,%swhich are used by this %s project.%sFor example: /home/user/kylix%s"   (= Original)
msgstr "התיקייה הראשית s% שבה הותקנו כל קבצי הקוד של בורלנד, אשר בשמוש בפרוייקט זה. למשל: home/user/kylix%s/"   (= Translation)

[Line: 6112] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscodetoolsdefsprojectdirectory2
msgid "%s project directory"   (= Original)
msgstr "תיקיית הפרוייקט s%"   (= Translation)

[Line: 6158] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscodetoolsdefstheprojectdirectory
msgid "The %s project directory,%swhich contains the .dpr, dpk file."   (= Original)
msgstr "תיקיית הפרוייקט s%, שמכילה את קבצי dpr .dpk."   (= Translation)

[Line: 6335] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscompilererrorinvalidcompiler
msgid "Error: invalid compiler: %s"   (= Original)
msgstr "שגיאה: מהדר s% לא חוקי"   (= Translation)

[Line: 7027] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscreatingfileindexoffpcsources
msgid "Creating file index of FPC sources %s ..."   (= Original)
msgstr "יוצר אינדקס לקובץ קוד של FPC "   (= Translation)

[Line: 7329] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisdebuggererrorooopsthedebuggerenteredtheerrorstate
msgid "Debugger error%sOoops, the debugger entered the error state%sSave your work now !%sHit Stop, and hope the best, we're pulling the plug."   (= Original)
msgstr "שגיאת מנפה שגיאות s% אופס, המנפה נכנס למצב של שגיאה. שמור את עבודתך כעת! הקש על עצור, וקווה לטוב, אנחנו שולפיים את התקע."   (= Translation)

[Line: 7349] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisdebugging
msgid "%s (debugging ...)"   (= Original)
msgstr "(ניפוי שגיאות)"   (= Translation)

[Line: 7561] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisdeletebreakpointatline
msgid "Delete breakpoint at%s\"%s\" line %d?"   (= Original)
msgstr "מחק נקודת עצירה ב s%s% בשורה d%?"   (= Translation)

[Line: 7818] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisdiskdifferrorreadingfile
msgid "Error reading file: %s"   (= Original)
msgstr "שגיאה בקריאת קובץ: s%"   (= Translation)

[Line: 8276] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisenvoptdlginvaliddebuggerfilenamemsg
msgid "The debugger file \"%s\" is not an executable."   (= Original)
msgstr "הקובץ s% של מנפה השגיאות אינו קובץ ריצה."   (= Translation)

[Line: 8280] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisenvoptdlgtestdirnotfoundmsg
msgid "Test directory \"%s\" not found."   (= Original)
msgstr "תיקיית הבדיקה s% לא נמצאה."   (= Translation)

[Line: 8308] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liserrorin
msgid "Error in %s"   (= Original)
msgstr "שגיאה ב s%"   (= Translation)

[Line: 8366] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liserrorloadingfrom
msgid "Error loading %s from%s%s%s%s"   (= Original)
msgstr "שגיאה בטעינת s% מ s%s%s%s%"   (= Translation)

[Line: 8374] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liserrormovingcomponent2
msgid "Error moving component %s:%s"   (= Original)
msgstr "שגיאה בהזזת רכיב s%: %s"   (= Translation)

[Line: 8390] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liserrorreadingpackagelistfromfile
msgid "Error reading package list from file%s%s%s%s"   (= Original)
msgstr "שגיאה בקריאת רשימת חבילות מהקובץ s%s%s%s%"   (= Translation)

[Line: 8417] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liserrorsavingto
msgid "Error saving %s to%s%s%s%s"   (= Original)
msgstr "שגיאה בשמירת s% ל s%s%s%s%"   (= Translation)

[Line: 8421] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liserrorsettingthenameofacomponentto
msgid "Error setting the name of a component %s to %s"   (= Original)
msgstr "שגיאה בהגדרת שם ברכיב s% ל s%"   (= Translation)

[Line: 8429] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liserrorwritingpackagelisttofile
msgid "Error writing package list to file%s%s%s%s"   (= Original)
msgstr "שגיאה בכתיבת רשימת חבילות לקובץ s%s%%s%"   (= Translation)

[Line: 8480] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisexamplesidentifiertmyenumenumunitnameidentifierpac
msgid "Examples:%sIdentifier%sTMyEnum.Enum%sUnitname.Identifier%s#PackageName.UnitName.Identifier"   (= Original)
msgstr "דוגמה: מזהים TMyEnum.Enum \"שם יחידה.מ/nזהה\"  \"#שם חבילה.שם יחידה.מזהה\""   (= Translation)

[Line: 8832] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisfilter3
msgid "Filter: %s"   (= Original)
msgstr "מסנן: s%"   (= Translation)

[Line: 9035] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisfpdocthereisasyntaxerrorinthefpdocelement
msgid "There is a syntax error in the fpdoc element \"%s\":%s%s"   (= Original)
msgstr "יש שגיאת תחביר באלמנט של  fpdoc"   (= Translation)

[Line: 9299] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lishintthemakeresourcestringfunctionexpectsastringcon
msgid "Hint: The \"Make Resourcestring\" function expects a string constant.%sPlease select the expression and try again."   (= Original)
msgstr "טיפ: הפונקציה \"Make Resourcestring\" מקבלת מחרוזת קבועה. בחר ביטוי ונסה שוב."   (= Translation)

[Line: 9771] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisinvalidexpression
msgid "Invalid expression:%s%s%s%s"   (= Original)
msgstr "ביטוי לא חוקי: s%s%s%"   (= Translation)

[Line: 9775] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisinvalidexpressionhintthemakeresourcestringfunction
msgid "Invalid expression.%sHint: The \"Make Resourcestring\" function expects a string constant in a single file. Please select the expression and try again."   (= Original)
msgstr "ביטוי לא חוקי: הפונקציה \"Make Resourcestring\" מצפה למחרוזת קבועה בקובץ יחיד. בחר את הביטוי ונסה שוב."   (= Translation)

[Line: 9783] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisinvalidlinecolumninmessage
msgid "Invalid line, column in message%s%s"   (= Original)
msgstr "שורה לא חוקית, עמודה בהודעה s%s%"   (= Translation)

[Line: 9853] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisisalreadypartoftheproject
msgid "%s is already part of the Project."   (= Original)
msgstr "זה כבר חלק מהפרוייקט. s%"   (= Translation)

[Line: 10662] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lislazbuildisnoninteractiveabortingnow
msgid "%s%s%s%slazbuild is non interactive, aborting now."   (= Original)
msgstr "בונה לזארוס אינו אינטראקטיבי, יוצא עכשיו."   (= Translation)

[Line: 10752] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lislazbuildunabletowritefile
msgid "Unable to write file \"%s\":%s"   (= Original)
msgstr "לא יכול לכתוב את הקובץ s%:%s"   (= Translation)

[Line: 10800] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisldtheunitisnotownedbeanypackageorprojectpleaseaddthe
msgid "The unit %s is not owned be any package or project.%sPlease add the unit to a package or project.%sUnable to create the fpdoc file."   (= Original)
msgstr "היחידה s% אינה בבעלות חבילה או פרוייקט כלשהם. הוסף את היחידה לחבילה או לפרוייקט. לא יכול ליצור את קובץ ה fpdoc."   (= Translation)

[Line: 10904] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisloadingfailed
msgid "Loading %s failed."   (= Original)
msgstr "טעינת s% נכשלה"   (= Translation)

[Line: 11094] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lismaxs
msgid "Max %d"   (= Original)
msgstr "מקסימום d%"   (= Translation)

[Line: 11098] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lismaybeyouhavetorecompilethepackage
msgid "%s Maybe you have to recompile the package."   (= Original)
msgstr "יתכן שתצטרך להדר מחדש את החבילה."   (= Translation)

[Line: 12765] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisnone
msgid "%snone"   (= Original)
msgstr "ללא"   (= Translation)

[Line: 12952] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisoipdescriptiondescription
msgid "%sDescription:  %s"   (= Original)
msgstr "תאור: s%"   (= Translation)

[Line: 12956] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisoipfilename
msgid "Filename:  %s"   (= Original)
msgstr "שם קובץ: s%"   (= Translation)

[Line: 13003] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisoipthispackageisinstalledbutthelpkfilewasnotfound
msgid "%sThis package is installed, but the lpk file was not found"   (= Original)
msgstr "חבילה זאת מותקנת, אבל קובץ ה lpk לא נמצא"   (= Translation)

[Line: 13149] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisoverridethedefaultcompileregppc386ppcx64ppcppcetcd
msgid "%soverride the default compiler. e.g. ppc386 ppcx64 ppcppc etc. default is stored in environmentoptions.xml"   (= Original)
msgstr "דרוס את מהדר ברירת המחדל לדוגמא ppc386 ppcx64 ppcppc וכו'. מהדר ברירת המחדל מאוחסן בקובץ environmentoptions.xml"   (= Translation)

[Line: 13159] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisoverridetheprojectcpuegi386x86_64powerpcpowerpc_64
msgid "%soverride the project cpu. e.g. i386 x86_64 powerpc powerpc_64 etc. default: %s"   (= Original)
msgstr "דרוס את מעבד ברירת המחדל של הפרוייקט לדוגמא ppc386 ppcx64 ppcppc וכו'. ברירת המחדל: s%"   (= Translation)

[Line: 13163] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisoverridetheprojectoperatingsystemegwin32linuxdefau
msgid "%soverride the project operating system. e.g. win32 linux. default: %s"   (= Original)
msgstr "דרוס את מערכת ההפעלה שהיא ברירת המחדל לדוגמא win32 linux. ברירת המחדל: s%"   (= Translation)

[Line: 13167] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisoverridetheprojectwidgetseteggtkgtk2qtwin32carbond
msgid "%soverride the project widgetset. e.g. gtk gtk2 qt win32 carbon. default: %s"   (= Original)
msgstr "דרוס את מערכת העצמים של הםרוייקט  לדוגמא gtk gtk2 qt win32 carbon. ברירת המחדל: s%"   (= Translation)

[Line: 13187] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispackage2
msgid "package %s"   (= Original)
msgstr "חבילה s%"   (= Translation)

[Line: 13359] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispckeditcallregisterprocedureofselectedunit
msgid "Call %sRegister%s procedure of selected unit"   (= Original)
msgstr "קרא לפרוצדורת הרישום של היחידה שנבחרה"   (= Translation)

[Line: 13392] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispckeditdefault
msgid "%s, default: %s"   (= Original)
msgstr "ברירת מחדל"   (= Translation)

[Line: 13432] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispckeditmodified
msgid "Modified: %s"   (= Original)
msgstr "השתנה: s%"   (= Translation)

[Line: 13458] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispckeditpage
msgid "%s, Page: %s"   (= Original)
msgstr "עמוד: s%"   (= Translation)

[Line: 13591] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispckexplstate
msgid "%sState: "   (= Original)
msgstr "מצב"   (= Translation)

[Line: 13838] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispethefileiscurrentlynotintheincludepathofthepackagea
msgid "The file \"%s\" is currently not in the include path of the package.%sAdd \"%s\" to the include path?"   (= Original)
msgstr "הקובץ \"%s\" אינו נמצא כרגע בנתיב \"כלול\" של החבילה. האם להוסיף  \"%s\" לנתיב \"כלול\""   (= Translation)

[Line: 13882] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispkgeditdoyoureallywanttoforgetallchangestopackageand
msgid "Do you really want to forget all changes to package %s and reload it from file?"   (= Original)
msgstr "אתה באמת רוצה לשכוח את כל השינויים לחבילה s% ולטעון אותה מחדש מהקובץ?"   (= Translation)

[Line: 13987] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispkgmangbothpackagesareconnectedthismeanseitheronepackageu
msgid "%sBoth packages are connected. This means, either one package uses the other, or they are both used by a third package."   (= Original)
msgstr "שתי החבילות קשורות. כלומר כל חבילה משתמשת בשניה, או ששתיהן משתמשות בחבילה שלישית."   (= Translation)

[Line: 14073] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispkgmanginstallingthepackagewillautomaticallyinstallthepac
msgid "Installing the package %s will automatically install the package:"   (= Original)
msgstr "התקנת החבילה s% תתקין אוטומטית את החבילה:"   (= Translation)

[Line: 14077] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispkgmanginstallingthepackagewillautomaticallyinstallthepac2
msgid "Installing the package %s will automatically install the packages:"   (= Original)
msgstr "התקנת החבילה s% תתקין אוטומטית את החבילות:"   (= Translation)

[Line: 14185] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispkgmangsavepackagelpk
msgid "Save Package %s (*.lpk)"   (= Original)
msgstr "שמור חבילה  (*.lpk)"   (= Translation)

[Line: 14203] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispkgmangthecompilerfileforpackageisnotavalidexecutable
msgid "The compiler file for package %s is not a valid executable:%s%s"   (= Original)
msgstr "קובץ המהדר לחבילה s% אינו קובץ ריצה חוקי: s%s%"   (= Translation)

[Line: 14284] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispkgmangthepackageisrequiredbywhichismarkedforinstallation
msgid "The package %s is required by %s, which is marked for installation.%sSee package graph."   (= Original)
msgstr "החבילה s% דרושה ע\"י s%, אשר מסומנת להתקנה. ראה גרף החבילה."   (= Translation)

[Line: 14436] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispkgmanguninstallpackage2
msgid "Uninstall package %s?"   (= Original)
msgstr "להסיר את החבילה s%?"   (= Translation)

[Line: 14500] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispkgsysinvalidunitname
msgid "Invalid Unitname: %s"   (= Original)
msgstr "שם יחידה לא חוקי: s%"   (= Translation)

[Line: 14976] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisprojectsraisedexceptionclasss
msgid "Project %s raised exception class '%s'."   (= Original)
msgstr "הפרוייקט העלה חריגה במחלקה s%"   (= Translation)

[Line: 14980] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisprojectsraisedexceptionclassswithmessagess
msgid "Project %s raised exception class '%s' with message:%s%s"   (= Original)
msgstr "הפרוייקט העלה חריגה במחלקה s% עם הודעה: s%s%"   (= Translation)

[Line: 15024] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisprojinspdeletedependencyfor
msgid "Delete dependency for %s?"   (= Original)
msgstr "למחוק תלות ב s%?"   (= Translation)

[Line: 15028] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisprojinspprojectinspector
msgid "Project Inspector - %s"   (= Original)
msgstr "מפקח הפרוייקט s%"   (= Translation)

[Line: 15037] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisprojinspremovefilefromproject
msgid "Remove file %s from project?"   (= Original)
msgstr "להסיר קובץ S% מהפרוייקט"   (= Translation)

[Line: 15049] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisprojmangunabletowritestatefileforprojecterror
msgid "Unable to write state file for project %s%sError: %s"   (= Original)
msgstr "לא יכול לכתוב את קובץ המצב של הפרוייקט s%s% שגיאה: s%"   (= Translation)

[Line: 15150] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispvuunitnameandfilenamedonotmatchexampleunit1pasanduni
msgid "Unitname and Filename do not match.%sExample: unit1.pas and Unit1"   (= Original)
msgstr "שם היחידה ושם הקובץ לא מתאימים. לדוגמה: unit1.pas ו  Unit1 "   (= Translation)

[Line: 15315] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisremovelocalvariable
msgid "Remove local variable %s"   (= Original)
msgstr "הסר משתנה מקומי s%"   (= Translation)

[Line: 15576] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lissamabstractmethodsof
msgid "Abstract methods of %s"   (= Original)
msgstr "מתודה מופשטת של s%"   (= Translation)

[Line: 15588] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lissamisanabstractclassithasabstractmethods
msgid "%s is an abstract class, it has %s abstract methods."   (= Original)
msgstr "זוהי מחלקה מופשטת, יש לה מתודה מופשטת."   (= Translation)

[Line: 15608] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lissamthereareabstractmethodstooverrideselectthemethodsf
msgid "There are %s abstract methods to override.%sSelect the methods for which stubs should be created:"   (= Original)
msgstr "יש מתודות מופשטות לשכתוב. בחר את המתודות שעבורן צריך ליצור שארית:"   (= Translation)

[Line: 15719] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lissaveproject
msgid "Save project %s (*%s)"   (= Original)
msgstr "שמור את פרוייקט %s "   (= Translation)

[Line: 15767] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisseeprojectprojectinspector
msgid "%sSee Project -> Project Inspector"   (= Original)
msgstr "ראה Project -> Project Inspector"   (= Translation)

[Line: 16408] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listhecomponentcannotbedeletedbecauseitisnotownedby
msgid "The component %s can not be deleted, because it is not owned by %s."   (= Original)
msgstr "לא ניתן למחוק את הרכיב, כי הוא שייך ל s%."   (= Translation)

[Line: 16424] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listhecomponentisinheritedfromtodeleteaninheritedcomp
msgid "The component %s is inherited from %s.%sTo delete an inherited component open the ancestor and delete it there."   (= Original)
msgstr "הרכיב s% הוא ירושה מ s%. כדי למחוק רכיב מורש  פתח את האב ומחק אותו שם."   (= Translation)

[Line: 16428] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listhecomponentisinheritedfromtorenameaninheritedcomp
msgid "The component %s is inherited from %s.%sTo rename an inherited component open the ancestor and rename it there."   (= Original)
msgstr "הרכיב s% הוא ירושה מ s%. כדי לשנות שם רכיב מורש  פתח את האב ומחק אותו שם."   (= Translation)

[Line: 16448] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listhecontainsastarcharacterlazarususesthisasnormalch
msgid "The %s contains a star * character.%sLazarus uses this as normal character and does not expand this as file mask."   (= Original)
msgstr "ה %s מכילה את התו כוכבית. לאזרוס משתמש בו כתו רגיל ולא פורש אותו כמסכת קבצים."   (= Translation)

[Line: 16518] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listhefiledoesnotlooklikealpifile
msgid "The file %s does not look like a lpi file."   (= Original)
msgstr "הקובץ s% לא נראה כמו קובץ lpi."   (= Translation)

[Line: 16650] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listheothersourcescontainsadirectorywhichisalreadyint
msgid "The \"Other sources\" contains a directory which is already in the \"Other unit files\".%s%s"   (= Original)
msgstr "ה \"Other sources\" מכיל תיקייה שכבר נמצאת ב \"Other unit files\"."   (= Translation)

[Line: 16660] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listheoutputdirectoryofislistedintheincludesearchpath
msgid "The output directory of %s is listed in the include search path of %s."   (= Original)
msgstr "תיקיית הפלט של s% היא ברשימת נתיבי החיפוש של קבצי ה\"כלול\"."   (= Translation)

[Line: 16664] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listheoutputdirectoryofislistedintheinheritedincludes
msgid "The output directory of %s is listed in the inherited include search path of %s."   (= Original)
msgstr "תיקיית הפלט של s% היא ברשימת נתיבי החיפוש המורשים של קבצי ה\"כלול\"."   (= Translation)

[Line: 16668] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listheoutputdirectoryofislistedintheinheritedunitsear
msgid "The output directory of %s is listed in the inherited unit search path of %s."   (= Original)
msgstr "תיקיית הפלט של s% היא ברשימת נתיבי החיפוש של היחידות המורשות."   (= Translation)

[Line: 16672] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listheoutputdirectoryofislistedintheunitsearchpathof
msgid "The output directory of %s is listed in the unit search path of %s."   (= Original)
msgstr "תיקיית הפלט של s% היא ברשימת נתיבי החיפוש של היחידות."   (= Translation)

[Line: 16688] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listhepackageaddsthepathtotheincludepathoftheidethisi
msgid "The package %s adds the path \"%s\" to the include path of the IDE.%sThis is probably a misconfiguration of the package."   (= Original)
msgstr "החבילה %s מוסיפה את הנתיב \"%s\" לנתיב \"כלול\" של ה  IDE. זוהי כנראה הגדרה שגוייה של החבילה."   (= Translation)

[Line: 16692] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listhepackageaddsthepathtotheunitpathoftheidethisispr
msgid "The package %s adds the path \"%s\" to the unit path of the IDE.%sThis is probably a misconfiguration of the package."   (= Original)
msgstr "החבילה %s מוסיפה את הנתיב \"%s\" לנתיב היחידה של ה  IDE. זוהי כנראה הגדרה שגוייה של החבילה."   (= Translation)

[Line: 16704] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listhepackagecannotbeuninstalledbecauseitisneededbyth
msgid "The package %s can not be uninstalled, because it is needed by the IDE itself."   (= Original)
msgstr "אי אפשר להסיר את התקנת החבילה, כי היא דרושה ל IDE עצמו."   (= Translation)

[Line: 16778] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listhereareotherfilesinthedirectorywiththesamename
msgid "There are other files in the directory with the same name,%swhich only differ in case:%s%s%sDelete them?"   (= Original)
msgstr "יש קבצים נוספים בתיקייה בעלי אותו שם, אשר נבדלים רק בראשיות: האם למחוק אותם?"   (= Translation)

[Line: 16902] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listheunitbelongstopackage
msgid "The unit belongs to package %s."   (= Original)
msgstr "היחידה שייכת לחבילה s%"   (= Translation)

[Line: 16906] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listheunitexiststwiceintheunitpathofthe
msgid "The unit %s exists twice in the unit path of the %s:"   (= Original)
msgstr "היחידה s% קיימת פעמיים בנתיב היחידות של: s%"   (= Translation)

[Line: 16924] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listheunitisusedbyotherfilesupdatereferencesautomatic
msgid "The unit %s is used by other files.%sUpdate references automatically?"   (= Original)
msgstr "קובץ אחר משתמש ביחידה s%. לעדכן את המקורות אוטומטית?"   (= Translation)

[Line: 16978] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listhisstatementcannotbeextractedpleaseselectsomecode
msgid "This statement can not be extracted.%sPlease select some code to extract a new procedure/method."   (= Original)
msgstr "אי אפשר לחלץ משפט זה. בחר קוד אחר לחילוץ פרוצדורה/מתודה חדשה."   (= Translation)

[Line: 17066] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listmunknownmacro
msgid "(unknown macro: %s)"   (= Original)
msgstr "(מאקרו לא מוכר: s%)"   (= Translation)

[Line: 17407] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisunabletochangeclassofto
msgid "%s%sUnable to change class of %s to %s"   (= Original)
msgstr "לא יכול לשנות את המחלקה s% ל s%"   (= Translation)

[Line: 17724] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisunabletowritetheprojectsessionfileerror
msgid "Unable to write the project session file%s\"%s\".%sError: %s"   (= Original)
msgstr "לא יכול לכתוב את קובץ ה  session . שגיאה: %s"   (= Translation)

[Line: 17905] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisuseidentifierinat
msgid "Use identifier %s in %s at %s"   (= Original)
msgstr "השתמש במזהה s% ב %s ב %s"   (= Translation)

[Line: 18064] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liswarningthisisthemainunitthenewmainunitwillbepas
msgid "%sWarning: This is the main unit. The new main unit will be %s.pas."   (= Original)
msgstr "אזהרה: זאת היחידה הראשית, היחידה הראשית החדשה תהייה  s.pas%"   (= Translation)

[Line: 19027] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.srkmecexttool
msgid "External tool %d"   (= Original)
msgstr "כלי חיצוני d%"   (= Translation)

[Line: 19118] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.srkmecfoldlevel
msgid "Fold to Level %d"   (= Original)
msgstr "קפל לרמה d%"   (= Translation)

[Line: 19122] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.srkmecgotoeditor
msgid "Go to editor %d"   (= Original)
msgstr "לך לעורך d%"   (= Translation)

[Line: 19138] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.srkmecgotomarker
msgid "Go to Marker %d"   (= Original)
msgstr "לך לסמן d%"   (= Translation)

[Line: 19618] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.srkmecsetmarker
msgid "Set Marker %d"   (= Original)
msgstr "קבע סמן d%"   (= Translation)

[Line: 19853] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.srkmectogglemarker
msgid "Toggle Marker %d"   (= Original)
msgstr "החלף סמן d%"   (= Translation)

Found 126 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.id.po
-------------------------------------------------------

[Line: 8230] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liserrorreadingpackagelistfromfile
msgid "Error reading package list from file%s%s%s%s"   (= Original)
msgstr "Pembacaan daftar paket salah dari file %s%s%s%s%s"   (= Translation)

[Line: 12421] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisnewdlgcreateanewprojectchooseatype
msgid "Create a new project.%sChoose a type."   (= Original)
msgstr "Buat proyek baru.%Pilih jenis."   (= Translation)

[Line: 12425] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisnewdlgcreateanewstandardpackageapackageisacollectionofun
msgid "Create a new standard package.%sA package is a collection of units and components."   (= Original)
msgstr "Buat paket standar baru.%Paket adalah koleksi dari unit dan komponen."   (= Translation)

Found 3 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.lt.po
-------------------------------------------------------

[Line: 16415] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listheprojectdoesnotusethelclunitinterfacesbutitseems
msgid "The project does not use the LCL unit interfaces, which is required by LCLBase.%sYou will get strange linker errors if you use the LCL without interfaces."   (= Original)
msgstr "Projekte nenaudojamos LCL modulio sąsajos, kurių reikalauja „LCLBase“.%Jei LCL formos naudojamos be sąsajų, saistyklė gali pranešti apie keistas klaidas."   (= Translation)

[Line: 18782] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.srkmecgotoeditor
msgid "Go to editor %d"   (= Original)
msgstr "Rodyti %s rengyklę"   (= Translation)

Found 2 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.sk.po
-------------------------------------------------------

[Line: 6109] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscodetoolsdefstheprojectdirectory
msgid "The %s project directory,%swhich contains the .dpr, dpk file."   (= Original)
msgstr "Adresár projektu %s, ktorý obsahuje súbory .dpr, dpk."   (= Translation)

[Line: 16580] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listhereareotherfilesinthedirectorywiththesamename
msgid "There are other files in the directory with the same name,%swhich only differ in case:%s%s%sDelete them?"   (= Original)
msgstr "V adresári sú iné súbory s rovnakým menom,%s%sktoré sa líšia len veľkosťou písmen:%s%s%sZmazať ich?"   (= Translation)

Found 2 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.tr.po
-------------------------------------------------------

[Line: 13500] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lispkgmangfilenotfound
msgid "File \"%s\" not found."   (= Original)
msgstr "%s%s%s adlı dosya bulunamadı.%s"   (= Translation)

Found 1 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.uk.po
-------------------------------------------------------

[Line: 5800] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscodetoolsdefsdelphimaindirectoryforproject
msgid "The %s main directory,%swhere Borland has installed all %s sources,%swhich are used by this %s project.%sFor example: C:/Programme/Borland/Delphi%s"   (= Original)
msgstr "Головна тека %s, %sде Borland встановив всі коди %s,використані проектом %s. %sНаприклад: C:/Programme/Borland/Delphi%s"   (= Translation)

[Line: 6050] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liscodetoolsdefsvalueisinvalid
msgid "%s:%svalue \"%s\" is invalid."   (= Original)
msgstr "%s:%значення \"%s\" є невірним."   (= Translation)

Found 2 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
lazaruside.zh_CN.po
-------------------------------------------------------

[Line: 7270] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.lisdebuggererrorooopsthedebuggerenteredtheerrorstate
msgid "Debugger error%sOoops, the debugger entered the error state%sSave your work now !%sHit Stop, and hope the best, we're pulling the plug."   (= Original)
msgstr "调试器错误%s哦,晕啊,调试器发生 %s 错误.马上保存你的工作!点击停止,最好希望我们能够解决它."   (= Translation)

[Line: 8340] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.liserrorsavingto
msgid "Error saving %s to%s%s%s%s"   (= Original)
msgstr "保存%到%s%s%s%s出错"   (= Translation)

[Line: 16345] Incompatible and/or invalid format() arguments for:
#:  lazarusidestrconsts.listhedirectorywasnotfound
msgid "The directory %s was not found."   (= Original)
msgstr "目标目录 %s%s%s%s 未找到."   (= Translation)

Found 3 errors.
-------------------------------------------------------


Total errors found: 143
Total warnings found: 0
lazaruside.po.errors.txt (48,114 bytes)

Bart Broersma

2014-08-21 20:37

developer  

objinspstrconsts.po.errors.txt (2,449 bytes)
-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.de.po
-------------------------------------------------------

[Line: 117] Incompatible and/or invalid format() arguments for:
#:  objinspstrconsts.clbdeletequest
msgid "Delete the Item %d \"%s\"?"   (= Original)
msgstr "Den Eintrag %s \"%s\" löschen?"   (= Translation)

[Line: 478] Incompatible and/or invalid format() arguments for:
#:  objinspstrconsts.oisdlinesdchars
msgid "%d lines, %d chars"   (= Original)
msgstr "% Zeilen, % Zeichen"   (= Translation)

[Line: 844] Incompatible and/or invalid format() arguments for:
#:  objinspstrconsts.oistdactdatasetinsertheadline
msgid "&Insert"   (= Original)
msgstr "%Einfügen"   (= Translation)

Found 3 errors.
-------------------------------------------------------


-------------------------------------------------------
Errors / warnings reported by CheckFormatArgs for:
objinspstrconsts.he.po
-------------------------------------------------------

[Line: 158] Incompatible and/or invalid format() arguments for:
#:  objinspstrconsts.fesfieldcantbec
msgid "Field %s cannot be created!"   (= Original)
msgstr "אי אפשר ליצור את השדה s%"   (= Translation)

[Line: 328] Incompatible and/or invalid format() arguments for:
#:  objinspstrconsts.ois1linedchars
msgid "1 line, %d chars"   (= Original)
msgstr "שורה אחת, תווים d%"   (= Translation)

[Line: 477] Incompatible and/or invalid format() arguments for:
#:  objinspstrconsts.oisdlinesdchars
msgid "%d lines, %d chars"   (= Original)
msgstr "שורות d%, תווים d%"   (= Translation)

[Line: 571] Incompatible and/or invalid format() arguments for:
#:  objinspstrconsts.oisjumptodeclarationof
msgid "Jump to declaration of %s"   (= Original)
msgstr "קפוץ להצהרה של s%"   (= Translation)

[Line: 683] Incompatible and/or invalid format() arguments for:
#:  objinspstrconsts.oispropertiesof
msgid "Properties of %s"   (= Original)
msgstr "תכונות של s%"   (= Translation)

[Line: 755] Incompatible and/or invalid format() arguments for:
#:  objinspstrconsts.oissettodefault
msgid "Set to default: %s"   (= Original)
msgstr "קבע כברירת מחדל: s%"   (= Translation)

Found 6 errors.
-------------------------------------------------------


Total errors found: 9
Total warnings found: 0

Bart Broersma

2014-08-21 20:40

developer   ~0076667

I have updated the pochecker utility so that it can ignore fuzzy strings (r46056).
Even with that option enabled, I still find errors.
See the attached files:
- codetoolsstrconsts.po.errors.txt
- lazaruside.po.errors.txt
- objinspstrconsts.po.errors.txt

Maxim Ganetsky

2014-08-22 00:59

developer   ~0076668

These errors are there already for a long time. I am aware of them and the situation becomes better as the time passes. The only thing we can do is to make all these strings fuzzy.

In any case the original regression is resolved now.

Bart Broersma

2014-08-22 08:29

developer   ~0076671

OK, resolving and closing.
Thansk for the answer.

Issue History

Date Modified Username Field Change
2014-06-29 13:14 Bart Broersma New Issue
2014-06-29 13:14 Bart Broersma File Added: lazaruside.formaterrors.txt
2014-06-29 13:14 Bart Broersma File Added: objinspstrconsts.formaterrors.txt
2014-06-29 13:15 Bart Broersma File Added: anchordockstr.formaterrors.txt
2014-06-29 13:15 Bart Broersma Additional Information Updated View Revisions
2014-06-29 13:17 Bart Broersma Description Updated View Revisions
2014-06-29 13:25 Bart Broersma File Added: codetoolsstrconsts.formaterrors.txt
2014-06-29 13:26 Bart Broersma Relationship added has duplicate 0026405
2014-06-29 13:30 Juha Manninen Note Added: 0075947
2014-06-29 13:35 Juha Manninen Description Updated View Revisions
2014-06-29 19:15 Juha Manninen Relationship added related to 0026425
2014-06-29 22:03 Michl File Added: lazaruside.de.po.zip
2014-06-29 22:04 Michl File Added: lazaruside.de.zip
2014-06-29 22:04 Michl Note Added: 0075958
2014-06-29 22:35 Juha Manninen Assigned To => Maxim Ganetsky
2014-06-29 22:35 Juha Manninen Status new => assigned
2014-06-29 22:36 Juha Manninen Note Added: 0075959
2014-06-29 22:40 Tomasz Wieckowski Note Added: 0075960
2014-06-29 22:53 Tomasz Wieckowski Note Added: 0075961
2014-06-30 00:16 Michl File Added: Patch.zip
2014-06-30 00:16 Michl Note Added: 0075963
2014-06-30 13:30 Bart Broersma Relationship added parent of 0026431
2014-06-30 13:31 Bart Broersma Relationship added parent of 0026427
2014-06-30 13:31 Bart Broersma Relationship added parent of 0026429
2014-06-30 13:31 Bart Broersma Relationship added parent of 0026428
2014-07-02 23:35 Maxim Ganetsky Note Added: 0076025
2014-07-03 22:25 Juha Manninen Relationship added parent of 0026445
2014-07-12 01:10 Maxim Ganetsky Relationship replaced has duplicate 0026445
2014-07-26 01:14 Maxim Ganetsky Relationship added related to 0026527
2014-08-15 00:16 Maxim Ganetsky Fixed in Revision => 46044
2014-08-15 00:16 Maxim Ganetsky Note Added: 0076605
2014-08-15 00:16 Maxim Ganetsky Status assigned => resolved
2014-08-15 00:16 Maxim Ganetsky Fixed in Version => 1.4
2014-08-15 00:16 Maxim Ganetsky Resolution open => fixed
2014-08-15 00:17 Maxim Ganetsky Note Edited: 0076605 View Revisions
2014-08-20 13:46 Bart Broersma Note Added: 0076661
2014-08-20 13:50 Bart Broersma Relationship added related to 0026619
2014-08-21 20:37 Bart Broersma File Added: codetoolsstrconsts.po.errors.txt
2014-08-21 20:37 Bart Broersma File Added: lazaruside.po.errors.txt
2014-08-21 20:37 Bart Broersma File Added: objinspstrconsts.po.errors.txt
2014-08-21 20:40 Bart Broersma Note Added: 0076667
2014-08-21 20:40 Bart Broersma Status resolved => assigned
2014-08-21 20:40 Bart Broersma Resolution fixed => reopened
2014-08-22 00:59 Maxim Ganetsky Note Added: 0076668
2014-08-22 08:29 Bart Broersma Note Added: 0076671
2014-08-22 08:29 Bart Broersma Status assigned => resolved
2014-08-22 08:29 Bart Broersma Resolution reopened => fixed
2014-08-22 08:29 Bart Broersma Status resolved => closed